-------------------------------------------------------------------------------
-- FileName: XMLElement.sql
-- Description: 
--   Create XML Element using the SQL/XML function: XMLELEMENT()
-- Modified (MM/DD/YYYY)
--   jiwang  06/09/2003 - Create
-------------------------------------------------------------------------------
set echo on 
SELECT 
  XMLELEMENT("Employee",
   XMLATTRIBUTES(employee_id AS "empno", 
                 job_id AS "job"),
   XMLELEMENT("Name",first_name||' '||last_name),
   'is hired on ', 
   hire_date
  )AS result 
FROM employees
WHERE rownum=1;

