-------------------------------------------------------------------------------
-- FileName: XMLElement.sql
-- Description: 
--   Create XML Element using the SQL/XML function: XMLELEMENT() with NS
-- Modified (MM/DD/YYYY)
--   jiwang  06/09/2003 - Create
-------------------------------------------------------------------------------
SELECT 
 XMLELEMENT("Employee",
  XMLATTRIBUTES(first_name ||' '||last_name AS "emp:name",
                'http://xmlns.oracle.com/xml/Employee.xsd' 
                AS "xmlns:emp")) AS result 
FROM employees
WHERE ROWNUM=1;

