-------------------------------------------------------------------------------
-- FileName: createBitmapIndex.sql
-- Description: 
--   Create Bitmap index on the XMLType
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
set echo on
-- Explain Plan
create bitmap index bitmap_idx on 
   product(description.existsNode('/Description/Whatis/STANDARD@type'));

-- check indexes
explain plan for
  select /*+ index(x bitmap_idx) */ count(*) from product x
  where x.description.existsNode('/Description/Whatis/Standard@type')=1;

-- Show the result [You may need to update the URL]
@d:\oracle\rdbms\admin\utlxpls
