-------------------------------------------------------------------------------
-- FileName: createFunctionIndex.sql
-- Description: 
--   Create Function index on the XMLType
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- Excution Plan with Functional Index
-------------------------------------------------------------------------------
-- Explain Plan
DROP INDEX fidx_existnode;
TRUNCATE TABLE plan_table;

CREATE INDEX fidx_existnode on 
   PRODUCT(extractValue(description,'/Description/Whatis/Standard'));

EXPLAIN PLAN for
  select /*+ index(x fidx_existnode) */ count(*) from product x
  where extractValue(description,'/Description/Whatis/Standard')='W3C';

ANALYZE TABLE product compute statistics FOR TABLE; 
analyze INDEX 

-- Show the result [You may need to update the URL]
@d:\oracle\rdbms\admin\utlxpls
