INSERT INTO product(product_id, name, description) 
 VALUES(1, 'XSLT Processor', XMLType('<Description>
  <Whatis>Based on the <Standard type="W3C">XSLT</Standard> standard 
  defined by the World Wide Web Consortium (<KEYWORD>W3C</KEYWORD>),
  XSLT Processors <Function>transform</Function> XML documents into 
  other formats.</Whatis>
  <OracleSupport>Oracle supports XSLT in SQL, PL/SQL, JAVA and 
     C/C++.</OracleSupport>
  <ProductDetails>
   <Product name="XSLT for C">
    <Description>XSLT for C in OracleX XDK provides the high-performance
XSLT Virtual Machine, which compiles the XSL Stylesheets and performs the 
XSLT transformation using the fixed memory stack.</Description>
       <Developer>
        <First_Name>John</First_Name>
        <Last_Name>Smith</Last_Name>
        <Email>John.Smith@oracle.com</Email>
       </Developer>
   </Product>
  </ProductDetails>
 </Description>')); 

INSERT INTO product(product_id, name, description) 
 VALUES(2, 'XSQL', XMLType('<Description>
  <Whatis>XSQL produces dynamic XML documents based on one or more SQL
 queries and can optionally apply <Standard type="W3C">XSL</Standard> 
Stylesheets to <Function>transform</Function> XML documents. Its Java 
Servlet interface provides rich HTTP management functionality, such as 
Cookies, <Standard type="W3C">HTTP</Standard> session parameters 
etc.</Whatis>
  <OracleSupport>Java command-line utility, run-time Servlet engine and
 extensible Java development framework are provided.</OracleSupport>
  <ProductDetails>
   <Product name="XSQL for Java">
    <Description>XSQL for Java support FOP serialization</Description>
     <Developer>
      <First_Name>Richard</First_Name>
      <Last_Name>Lee</Last_Name>
      <Email>Richard.Lee@oracle.com</Email>
     </Developer>
    </Product>
   </ProductDetails>
  </Description>')); 
