-------------------------------------------------------------------------------
-- FileName: registerXMLSchema.sql
-- Description: 
--   Register XML Schema
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
BEGIN
   DBMS_XMLSCHEMA.REGISTERSCHEMA('product.xsd',
          '<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xdb="http://xmlns.oracle.com/xdb" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
       elementFormDefault="qualified">
 <xs:element name="Description">
  <xs:complexType xdb:SQLType="DESCRIPTION_TYPE">
   <xs:sequence>
    <xs:element name="Whatis" xdb:SQLName="WHATIS" 
         xdb:SQLType="WHATIS_TYPE">
     <xs:complexType mixed="true">
      <xs:choice minOccurs="0" maxOccurs="unbounded">
       <xs:element name="Function" type="xs:string"/>
       <xs:element name="KEYWORD" type="xs:string"/>
       <xs:element name="Standard">
        <xs:complexType>
         <xs:simpleContent>
          <xs:extension base="xs:string">
           <xs:attribute name="type" type="xs:string" use="required"/>
          </xs:extension>
         </xs:simpleContent>
        </xs:complexType>
       </xs:element>
      </xs:choice>
     </xs:complexType>
    </xs:element>
    <xs:element name="OracleSupport" type="xs:string"/>
   </xs:sequence>
   <xs:attribute name="name" type="xs:string" use="required"/>
  </xs:complexType>
 </xs:element>
</xs:schema>', TRUE, TRUE, FALSE,FALSE);
END;
