-------------------------------------------------------------------------------
-- FileName: checkXMLDBUser.sql
-- Description: 
--   Check the user and role created in Oracle Database for XML DB
-- Modified (MM/DD/YYYY)
--   jiwang  09/11/2003 - Create
-------------------------------------------------------------------------------
set echo on
column account_status format a10
column username format a10
column expiry_date format a10
column dts format a7
column tts format a5
column created format a10
column profile format a10

select username,account_status,expiry_date,DEFAULT_TABLESPACE dts,
       TEMPORARY_TABLESPACE tts, created
from dba_users
where username in ('XDB', 'ANONYMOUS', 'XDBADMIN');

select * from dba_roles where role='XDBADMIN';

-- End of checkXMLDBUsers.sql
set echo off
