<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ns="http://www.oracle.com/faq.xsd">
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="/">
  <html>
   <head>
       <title>XML FAQ</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
        <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus.css"/>
      </head>
  <body>
    <table width="100%">
          <tr>
            <td>
              <IMG SRC="/xdkus/servlet/FAQAnswerServlet?id={page/FAQ/ID}" HEIGHT="0" WIDTH="0"/>
              <img src="images/r_arrow.gif" width="8" height="9"/>
              <a href="#" onClick="history.back()">Back</a>
            </td>
            <td align="right">
              <img src="images/r_arrow.gif" width="8" height="9"/>
              <a href="#" onClick="self.close()">Close</a>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <hr size="1"/>
            </td>
          </tr>
         <tr>
        <td>
          <xsl:choose>
            <xsl:when test="page/ROWSET/ROW">
              <xsl:apply-templates select="page/paging"/>
              <table align="left" border="0" width="100%">
                <tr>
                  <th class="portletTitle">ID</th>
                  <th class="portletTitle">Frequently Asked Questions</th>
                </tr>
                <xsl:for-each select="page/ROWSET/ROW">
                  <tr>
                    <xsl:attribute name="class">
                      <xsl:choose>
                        <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                        <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
                      </xsl:choose>
                    </xsl:attribute>
                    <td>
                      <xsl:value-of select="ID"/>:</td>
                    <td>
                      <a href="showAnswer.xsql?id={ID}"
                       onclick="NewWindow('showAnswer.xsql?id={ID}','{ID}','600','400','yes');return false;">
                      <!--xsl:if test="ID[text() != '59']">
                         <xsl:value-of disable-output-escaping="yes"
                                      select="TITLE"/></xsl:if>
                      <xsl:if test="ID[text() = '59']"</xsl:if>-->
                         <xsl:value-of select="TITLE"/>
                      </a>
                      <xsl:if test="STATUS ='hot'">
                      <img src="/xdkus/images/{STATUS}.gif"/></xsl:if>
                    </td>
                  </tr>
                </xsl:for-each>
              </table>
            </xsl:when>
            <xsl:otherwise>
              <table>
                <tr>
                  <td>No FAQ found.                    
                   </td>
                </tr>
              </table>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
   </table>
    </body>
   </html>
  </xsl:template>


</xsl:stylesheet>
