/**
 *  FAQAnswerServlet.java
 *
 *  This is a servlet program is use to count the number of hits
 *  for each FAQ.
 *
 *  05/10/01 - Create
 */
package oracle.xml.pm.faq;

import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class FAQAnswerServlet extends HttpServlet {

  public String m_id=null;
  public String query=null;
  public String m_answer=null;
  public String m_question=null;

  /**
   * Initialize global variables
   */
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  /**
   * Process the HTTP Get request
   */
  public void doGet(HttpServletRequest request, HttpServletResponse response)
  throws ServletException, IOException
  {
      m_id = request.getParameter("id");

      if (m_id == null) m_id = "0";

      /**
       * Count for specific question hit because of looking for content of
       * Answer
       */
      OutputStreamWriter osw = new
                      OutputStreamWriter(response.getOutputStream());
      PrintWriter out = new PrintWriter (response.getOutputStream());

      ServletContext context = getServletContext();

      WebCounter count = (WebCounter) context.getAttribute("FAQFeature.Counter");

      int nCount = 0;

      if (count == null)
      {
        count = new WebCounter();
        count.setValue(m_id,1);
        context.setAttribute("FAQFeature.Counter",count);
        nCount = 1;
      }
      else
      {
        nCount = count.getValue(m_id);
        nCount ++;
        count.setValue(m_id,nCount);
        context.setAttribute("FAQFeature.Counter",count);
      }
      out.println(nCount);
    return;
}
  /**
   * Get Servlet information
   * @return java.lang.String
   */
  public String getServletInfo() {
    return "webTest.ServletCounter Information";
  }
}

 
