-------------------------------------------------------------------------------
-- FileName: createUsers.sql
-- Description: 
--   Create database user managing the Portal Site
-- Modified (MM/DD/YYYY)
--   jiwang  04/27/2003 - Create
-------------------------------------------------------------------------------c
create user xdkus identified by xdkus
 default tablespace users
 temporary tablespace temp;

grant connect, resource to xdkus;

BEGIN
   dbms_java.grant_permission(
                              grantee =>'XDKUS',
                              permission_type => 'java.util.PropertyPermission',
                              permission_name => '*',
                              permission_action => 'read,write'
                             );
   dbms_java.grant_permission(
                              grantee =>'XDKUS',
                              permission_type => 'java.net.SocketPermission',
                              permission_name => '*',
                              permission_action => 'connect, resolve'
                             );
END;
/
-- Quit

DROP DIRECTORY XMLDIR;
CREATE DIRECTORY XMLDIR AS '&os_directory';

GRANT READ ON DIRECTORY XMLDIR TO xdkus;
GRANT ctxapp TO xdkus;

