-------------------------------------------------------------------------------
-- FileName: createGlosaryTable.sql
-- Description: 
--   Create Glossary Table for XML Developer's Portal
-- Modified (MM/DD/YYYY)
--   jiwang  08/21/2003 - Add Trigger to insert IDs
--   jiwang  07/15/2003 - Create
-------------------------------------------------------------------------------
CREATE TABLE GLOSSARY(
 ID NUMBER,
 NAME VARCHAR2(30),
 CONTENT VARCHAR2(4000)
 );

CREATE SEQUENCE glossary_seq START WITH 100;

CREATE or replace TRIGGER glossary_insert
BEFORE INSERT ON glossary
FOR EACH ROW
BEGIN
  select glossary_seq.nextval into :new.id from dual;
END;
/
show errors;
 