<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match ="/">
 <table width="50%" border="0">
  <tr> 
    <td colspan="2" height="24"> 
      <img src="images/d_arrow.gif" width="10" height="10"/> 
      <b>        
      <xsl:choose>
           <xsl:when test="/page/updatecolmn[text() != '']">Update
           </xsl:when>
           <xsl:otherwise>
              Insert
           </xsl:otherwise>
         </xsl:choose> Item for <xsl:value-of select="page/table"/> Table</b></td>
  </tr>
  <tr> 
    <td colspan="2" height="366" valign="top"> 
      <form method="POST" action="" name="addnew">
       <xsl:attribute name="action">
         <xsl:choose>
           <xsl:when test="/page/updatecolmn[text() !='']">
             update.xsql?table=<xsl:value-of select="page/table"/>&amp;keycolmn=<xsl:value-of select="page/updatecolmn"/>
           </xsl:when>
           <xsl:otherwise>
              insert.xsql?table=<xsl:value-of select="page/table"/>
           </xsl:otherwise>
         </xsl:choose>
       </xsl:attribute>
        <table width="60%" border="0">
         <xsl:for-each select="page/ROWSET/ROW">
         <tr> 
            <td width="5%"><xsl:value-of select="NAME"/>
            <xsl:if test="NULLABLE='N'"><font color="#FF0000">*</font></xsl:if>
            <br/>
             <xsl:if test="TYPE='DATE'">
              (E.g.12/31/2001)
             </xsl:if>            
            </td>
            <td width="95%">
             <xsl:choose>
             <xsl:when test="number(LENGTH) &gt;100">
              <textarea name="{NAME}" cols="43" rows="5">
                <xsl:call-template name="getvalue">
                 <xsl:with-param name="vname">
                   <xsl:value-of select="NAME"/>
                 </xsl:with-param>
                </xsl:call-template>
             </textarea>
             </xsl:when>
             <xsl:otherwise>
                <input type="text" name="{NAME}" size="55">
                <xsl:attribute name="value">
                <xsl:call-template name="getvalue">
                 <xsl:with-param name="vname">
                   <xsl:value-of select="NAME"/>
                 </xsl:with-param>
                </xsl:call-template></xsl:attribute>
               </input>
             </xsl:otherwise>
             </xsl:choose>
             <xsl:if test="number(LENGTH) &gt; 100">
             </xsl:if>
            </td>
          </tr>
          </xsl:for-each>
          <tr> 
            <td width="5%" valign="top" height="8"><xsl:text> </xsl:text></td>
            <td width="95%" height="8"> 
              <input type="submit" name="Submit" value="Submit"/>
            </td>
          </tr>
         </table>
      </form>
    </td>
  </tr>
</table>
</xsl:template>

<xsl:template name="getvalue">
 <xsl:param name="vname"/>
     <xsl:value-of select="/page/data/ROWSET/ROW/*[name() = $vname]"/> 
</xsl:template>

</xsl:stylesheet>