<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="/">
    <table width="100%" border="0">
      <xsl:choose>
        <xsl:when
                  test="/page/action[text()='login']
		                      and (/page/usr[text()=''])">
           <form name="login" method="post" action="/xdkus/app_news/index.xsql?cat=xdk">
            <tr>
              <td colspan="2">
                <font color="#FF0000">Login Error. Try again or Sign up.</font>
              </td>
            </tr>
            <tr>
              <td>Name:</td>
              <td>
                <input type="hidden" name="action" value="login"/>
                <input type="text" name="logusr" size="5"/>
              </td>
            </tr>
            <tr>
              <td>Passwd:</td>
              <td>
                <input type="password" name="passwd" size="7"/>
              </td>
            </tr>
            <tr>
              <td align="center">
                <a href="mailto:jinyu.wang@oracle.com">Sign up</a>
              </td>
              <td align="center">
                <a href="#" onClick="document.login.submit();return false;"
                   class="fbox">Log In</a>
              </td>
            </tr>
          </form>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="/page/usr[text() =' ']">
              <form name="login" method="post" action="/xdkus/app_news/index.xsql?cat=xdk">
                <tr>
                  <td>Name:</td>
                  <td>
                    <input type="hidden" name="action" value="login"/>
                    <input type="text" name="logusr" size="5"/>
                  </td>
                </tr>
                <tr>
                  <td>Passwd:</td>
                  <td>
                    <input type="password" name="passwd" size="6"/>
                  </td>
                </tr>
                <tr>
                  <td align="center">
                    <a href="mailto:jinyu.wang@oracle.com">Sign up</a>
                  </td>
                  <td align="center">
                    <a href="#" onClick="document.login.submit();return false;"
                       class="fbox">Log In</a>
                  </td>
                </tr>
              </form>
            </xsl:when>
            <xsl:otherwise>
              <tr>
                <td valign="top">Hi                  <xsl:value-of select="page/ROWSET/ROW/NAME"/>
!</td>
              </tr>
              <tr>
                <td valign="top">
                <a href="/xdkus/app_news/index.xsql?cat=xdk">HOME</a>
                </td>
              </tr>
              <xsl:if test="page/ROWSET/ROW/ROLE[text() ='developer']">
                <!--tr>
                  <td valign="top">
                    <a href="/xdkus/worklog/index.xsql?pagename=worklog">Work Log</a>
                  </td>
                </tr-->
              </xsl:if>
              <xsl:if test="/page/ROWSET/ROW/ROLE[text()='admin']">
                <tr>
                  <td valign="top">
                    <a href="index.xsql?pagename=news">XDK Admin</a>
                  </td>
                </tr>
              </xsl:if>
              <form name="login" method="post" action="/xdkus/app_news/index.xsql?cat=xdk">
                <tr>
                  <td colspan="2" align="center">
                    <input type="hidden" name="action" value="logout"/>
                    <a href="#" onClick="document.login.submit();return false;"
                       class="fbox">Log Out</a>
                  </td>
                </tr>
              </form>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </table>
  </xsl:template>
</xsl:stylesheet>
