<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template match="/">
 <table width="100%">
 <tr>
  <td>
    <xsl:choose>
      <xsl:when test="page/ROWSET">
         <table width="100%" border="0">
     <tr> 
       <td width="10" align="right" valign="top">
            <img src="images/d_arrow.gif" width="10" height="10"/>
       </td>
       <td> 
           <b>XDK Customers:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>

     <xsl:for-each select="page/ROWSET/ROW">
        <tr> 
          <td width="10" align="right" valign="top">
            <img src="images/r_arrow.gif" width="10" height="10"/>
          </td>
          <td colspan="2" width="600" align="left" class="fbox">
            <a href="showCustomer.xsql?id={ID}"
	             onClick="NewWindow('showCustomer.xsql?id={ID}','name','650','600','yes');return false;">
              <xsl:value-of select="NAME"/></a>
          </td>
        </tr>
        <tr> 
          <td width="10"><xsl:text> </xsl:text></td>
          <td colspan="2" width="600" class="footnt">
              <xsl:value-of select="DESCRIPTION"/>
          </td>
        </tr>
     </xsl:for-each>
     </table>
	  </xsl:when>
         <xsl:otherwise>
         <table cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td>
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
  </table>
</xsl:template>
</xsl:stylesheet>
