<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <head>
        <title>
          XML Customer Database Item Deletion
        </title>
        <meta http-equiv="Content-Type" content="text/html"/>
        <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus.css"/>
      </head>
      <body bgcolor="#FFFFFF">
        <xsl:apply-templates select="page"/>
      </body>
    </html>
  </xsl:template>
  
<xsl:template match="xsql-status[@rows=1]">
  <table width="100%" border="0">
     <tr> 
       <td colspan="2"> 
         <img src="images/r_arrow.gif" width="10" height="10"/> 
           Item is deleted successfully. Close the window and 
           refresh the listing page.
       </td>
      </tr>
  </table>  
</xsl:template>

<xsl:template match="Message|message">
  <table width="100%" border="0">
     <tr> 
       <td colspan="2"> <img src="images/d_arrow.gif" width="10" height="10"/>
           <b>Message:</b>
       </td>
      </tr>
      <tr> 
        <td width="18"><img src="/xdkus/images/r_arrow.gif" width="10" height="10"/></td>
        <td width="90%" class="fbox"><xsl:value-of select="."/></td>
      </tr>
  </table>  
</xsl:template>
</xsl:stylesheet>