<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template match="/">
<table width="100%">
<form name="manage" target="new" action="deleteApp.xsql" method="post">
     <tr> 
       <td> 
          <img src="images/d_arrow.gif" width="10" height="10"/> <b>XDK Apps:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>
   <tr valign="top" align="center">
   <td colspan="3"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
       <table width="100%">
        <tr>
         <td> 
           <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
           <tr>
             <th class="portletTitle">No.</th>
             <th class="portletTitle" colspan="1">App</th>
             <th class="portletTitle" colspan="2">Operations</th>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
            <tr>
               <td class="OraTableCellText"  width="10"
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                   <input type="radio" name="id" value="{ID}"/>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                 <a  href="showApp.xsql?id={ID}"
	                onClick="NewWindow('showApp.xsql?id={ID}','name','650','400','yes');return false;">
                  <xsl:value-of disable-output-escaping="yes" select="NAME"/></a>
               </td>
                <td class="OraTableCellText" 
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid" width="40">
 	          [<a href="index.xsql?pagename=updateApp&amp;id={ID}">Update</a>]
               </td>
              <td class="OraTableCellText" 
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid" width="40">
 	          [ <a href="deleteApp.xsql"
	                onClick="document.manage.submit();return false;">Delete</a>]
               </td>
              </tr>
             </xsl:for-each>
             </table>
            </td>
           </tr>
          <tr>
           <td>
             <a href="createApp.xsql"
	                onClick="NewWindow('createApp.xsql','name','650','400','yes');return false;">
                  <img border="0" src="images/b-Create.gif"/></a>
            </td>
           </tr>
          </table>
 	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No App found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
      </td>
    </tr>
  </form>
   </table>
</xsl:template>
</xsl:stylesheet>
