<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template match="/">

<table width="100%">
<form name="manage" action="deletePMEvent.xsql" method="post">
     <tr> 
       <td> 
          <img src="images/d_arrow.gif" width="10" height="10"/> <b>XDK Product Mangement Events:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>
  <tr valign="top" align="center">
   <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
       <table width="100%">
        <tr>
         <td>
           <a href="mgPMEvent.xsql" onclick="document.manage.submit();return false">
            <img border="0" src="images/b-Delete.gif"/></a>
         </td>
        </tr>
        <tr>
         <td> 
          <xsl:apply-templates select="page/paging"/>
           <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
           <tr>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">No.</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">Event Name</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">Type</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">Customer</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">Date</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">Profile</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">Update</th>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
            <tr>
               <td class="OraTableCellText"  width="10"
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                   <input type="radio" name="id" value="{ID}"/>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="NAME"/>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TYPE"/>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CUSTOMER"/>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TIME"/>
               </td>
               <td class="OraTableCellText" 
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid" width="40">
 	          [<a class="OraTableCellText" href="showPMEvent.xsql?id={ID}">Profile</a>]
               </td>
               <td class="OraTableCellText" 
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid" width="40">
 	          [<a class="OraTableCellText" href="updatePMEvent.xsql?id={ID}">Update</a>]
               </td>
              </tr>
             </xsl:for-each>
             </table>
            </td>
           </tr>
          <tr>
           <td>
             <a href="createPMEvent.xsql">
              <img border="0" src="images/b-Create.gif"/></a>
            </td>
           </tr>
          </table>
 	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
      </td>
    </tr>
  </form>
   </table>
 </xsl:template>
</xsl:stylesheet>
