<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="paging.xsl"/>

<xsl:template match="/">
 <table width="100%">
 <tr>
  <td><h2>XDK Revenue Events</h2></td> 
 </tr>
 <tr>
  <td>
    <xsl:choose>
      <xsl:when test="page/ROWSET">
         <xsl:apply-templates select="page/paging"/>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
           <tr>
             <th style="BORDER-LEFT: #cccc99 1px solid;" class="OraTableColumnHeader">No.</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid; BORDER-RIGHT: #cccc99 1px solid;" class="OraTableColumnHeader">Name</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid; BORDER-RIGHT: #cccc99 1px solid;" class="OraTableColumnHeader">Customer</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid; BORDER-RIGHT: #cccc99 1px solid;" class="OraTableColumnHeader">Type</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid; BORDER-RIGHT: #cccc99 1px solid;" class="OraTableColumnHeader">Date</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid; BORDER-RIGHT: #cccc99 1px solid;" class="OraTableColumnHeader">Details</th>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
            <tr>
               <td class="OraTableCellText"  width="10"
                   style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                   <xsl:value-of select="@num"/>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="NAME"/>
               </td>
               <td class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CUSTOMER"/>
               </td>
               <td class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TYPE"/>
               </td>
               <td class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TIME"/>
               </td>
               <td class="OraTableCellText" 
                   style="BORDER-RIGHT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid" width="40">
 	          [<a class="OraTableCellText" href="showPMEvent.xsql?id={EVENT_ID}"
	                onClick="NewWindow('showPMEvent.xsql?id={EVENT_ID}','name','650','400','yes');return false;">Profile</a>]
               </td>
              </tr>
            </xsl:for-each>
           </table>
	     </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
  </table>
</xsl:template>
</xsl:stylesheet>
