<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="/">
    <table width="100%">
      <tr>
        <td width="10" align="right" valign="top">
          <img src="images/d_arrow.gif" width="10" height="10"/>
        </td>
        <td>
          <b>Revenue Events:</b>
        </td>
        <td>
          <xsl:apply-templates select="page/paging"/>
        </td>
      </tr>
      <tr>
        <td colspan="3">
          <xsl:choose>
            <xsl:when test="page/ROWSET">
              <table width="100%">
                <tr>
                  <th class="portletTitle">No.</th>
                  <th class="portletTitle">Name</th>
                  <th class="portletTitle">Customer</th>
                  <th class="portletTitle">Amount</th>
                  <th class="portletTitle">Date</th>
                  <th class="portletTitle">Details</th>
                </tr>
                <xsl:for-each select="page/ROWSET/ROW">
                  <tr>
                    <td width="10">
                      <xsl:value-of select="@num"/>
                    </td>
                    <td width="100%">
                      <xsl:value-of disable-output-escaping="yes" select="NAME"/>
                    </td>
                    <td>
                      <xsl:value-of disable-output-escaping="yes" select="CUSTOMER"/>
                    </td>
                    <td>
                      <xsl:value-of disable-output-escaping="yes"
                                    select="AMOUNT"/>
                    </td>
                    <td>
                      <xsl:value-of disable-output-escaping="yes" select="TIME"/>
                    </td>
                    <td
                        width="40">[<a 
                         href="showREvent.xsql?id={EVENT_ID}"
                         onClick="NewWindow('showREvent.xsql?id={EVENT_ID}','name','650','400','yes');return false;">Profile</a>
]</td>
                  </tr>
                </xsl:for-each>
              </table>
            </xsl:when>
            <xsl:otherwise>
              <table border="0" width="100%">
                <tr>
                  <td>No Customer found.</td>
                </tr>
              </table>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>
