<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">

<table width="100%">
<form name="manage" action="updateAppAction.xsql" method="post">
  <tr> 
    <td colspan="2">  
       <img src="images/d_arrow.gif"/><b>XDK Application</b>
    </td>
  </tr>
   <tr valign="top" align="center">
    <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET">
        <table cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText">
            <table width="100%">
             <tr><td>
            <xsl:for-each select="page/ROWSET">
            <xsl:variable name="customer_id" select="ROW/CUSTOMER_ID"/>
            <table width="100%" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Name</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input type="hidden" name="id" value="{/page/APP_ID}"/>
                  <input size="40" name="NAME" value="{ROW/NAME}"/>
                </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Type</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="APP_TYPE" value="{ROW/APP_TYPE}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  >
                  <b>Customer</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                 <select name="CUSTOMER_ID">
                   <xsl:for-each select="/page/customer/ROWSET/ROW">
                    <xsl:choose>
                      <xsl:when test="CUSTOMER_ID/text() = $customer_id">
                        <option name="CUSTOMER_ID" value="{CUSTOMER_ID}" selected="true">
                           <xsl:value-of select="NAME"/>
                        </option>
                      </xsl:when>
                      <xsl:otherwise>
                        <option name="CUSTOMER_ID" value="{CUSTOMER_ID}">
                          <xsl:value-of select="NAME"/>
                        </option>
                      </xsl:otherwise>
                    </xsl:choose>
                   </xsl:for-each>
                 </select>
               </td>
              </tr>
             </table>
            </xsl:for-each>
            </td></tr></table>
           </td>
          </tr>
          <tr>
            <th align="left" class="portletTitle">Description</th>
          </tr>
          <tr>
            <td>
               <textarea name="DESCRIPTION" cols="50" rows="10">
                 <xsl:value-of select="/page/ROWSET/ROW/DESCRIPTION"/>
               </textarea>
            </td>
          </tr>
          <tr>
            <th align="left" class="portletTitle">XML Products</th>
          </tr>
           <tr>
             <td class="OraTableCellText" width="100%">
               <xsl:text> </xsl:text>
               <a class="OraTableColumnHeader" 
               href="addXMLProduct.xsql?id={/page/APP_ID}">Update</a><br/>
               <xsl:for-each select="/page/xml_product/ROWSET/ROW">
                   <xsl:value-of disable-output-escaping="yes" select="FULLNAME"/>
                   <xsl:if test="position() != last()"><xsl:text>, </xsl:text></xsl:if>
               </xsl:for-each>
             </td>
           </tr>
          <tr>
            <th align="left" class="portletTitle">Customer Contact</th>
         </tr>
          <tr>
           <td class="OraTableCellText">
            <xsl:text> </xsl:text>
               <a class="OraTableColumnHeader" 
               href="addContact.xsql?id={/page/APP_ID}">Update</a><br/>
            <table>
             <tr><td>
            <xsl:for-each select="page/contact/ROWSET/ROW">
             <table width="400" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b><xsl:value-of select="NAME"/></b>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STREET"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TITLE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CITY"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="BUSINESS_PHONE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STATE"/>,
                  <xsl:value-of disable-output-escaping="yes" select="ZIP"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200">
                 <a class="OraTableCellText" href="mailto:{EMAIL}">
                    <xsl:value-of disable-output-escaping="yes" select="EMAIL"/>
                 </a>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <xsl:value-of disable-output-escaping="yes" select="COUNTRY"/>
               </td>
              </tr>
             </table><br/>
            </xsl:for-each>
            </td></tr>
            </table>
            </td>
          </tr>
          <tr>
            <th align="left" class="portletTitle">Customer Contact</th>
          </tr>
          <tr>
           <td class="OraTableCellText">
             <a class="OraTableColumnHeader" 
               href="addOCContact.xsql?id={/page/APP_ID}">Update</a><br/>
               <table>
             <tr><td>
            <xsl:for-each select="page/oc_contact/ROWSET/ROW">
             <table width="400" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b><xsl:value-of select="NAME"/></b>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STREET"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TITLE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CITY"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="BUSINESS_PHONE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STATE"/>,
                  <xsl:value-of disable-output-escaping="yes" select="ZIP"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200">
                 <a class="OraTableCellText" href="mailto:{EMAIL}">
                    <xsl:value-of disable-output-escaping="yes" select="EMAIL"/>
                 </a>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <xsl:value-of disable-output-escaping="yes" select="COUNTRY"/>
               </td>
              </tr>
             </table>
            </xsl:for-each>
             </td></tr>
            </table>
           </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
             <a href="updateApp.xsql" onclick="document.manage.submit();return false;">
              <img border="0" src="images/b-Update.gif"/></a>
            </td>
           </tr>          
         </table>
	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
</form>
</table>
</xsl:template>
</xsl:stylesheet>
