<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<form name="manage" action="updateContactAction.xsql" method="post">
<table width="100%">
  <tr> 
    <td colspan="2">  
       <h2>Customer Contact</h2>
    </td>
  </tr>
  <tr> 
    <td colspan="2">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
  <tr> 
    <td colspan="2"><hr size="1" /></td>
  </tr>
   <tr valign="top" align="center">
    <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET">
        <table cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
            <td class="OraTableColumnHeader">Update Customer Contact
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
            <xsl:for-each select="page/ROWSET/ROW">
             <table width="100%" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  First Name:
               </td>
               <td style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                 <input type="hidden" name="ID" value="{CONTACT_ID}"/>
                 <input name="FIRST_NAME" value="{FIRST_NAME}"/>
               </td>
                <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                 Middle Name:<input size="5" name="MID_NAME" value="{MID_NAME}"/>
                 Last Name: <input name="LAST_NAME" value="{LAST_NAME}"/>
               </td>
              </tr>
              <tr>
               <td  class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Street:
               </td>
               <td colspan="2" class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="STREET" value="{STREET}"/>
               </td>
              </tr>
             <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  City:
               </td>
               <td colspan="2" class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                   <input name="CITY" value="{CITY}"/>
               </td>
              </tr>
             <tr>
                <td class="OraTableCellText"
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  State:
               </td>
              <td colspan="2" class="OraTableCellText"
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                   <input name="STATE" value="{STATE}"/>
                   Zip: <input name="ZIP" value="{ZIP}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Country:
               </td>
               <td colspan="2" class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                   <input name="COUNTRY" value="{COUNTRY}"/>
               </td>
              </tr>
               <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Title:
               </td>
               <td colspan="2" class="OraTableCellText"  
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="TITLE" value="{TITLE}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Business Phone:
               </td>
                <td colspan="2" class="OraTableCellText" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                   <input name="BUSINESS_PHONE" value="{BUSINESS_PHONE}"/>
               </td>
              </tr>
               <tr>
               <td class="OraTableCellText">
                  Email:
               </td>
                <td colspan="2" class="OraTableCellText" style="BORDER-LEFT: #cccc99 1px solid;BORDER-LEFT: #cccc99 1px solid;">
                  <input size="30" name="EMAIL" value="{EMAIL}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText">
                  Customer:
               </td>
                <td colspan="2" class="OraTableCellText" style="BORDER-LEFT: #cccc99 1px solid;BORDER-LEFT: #cccc99 1px solid;">
                 <select name="customer">
                  <xsl:for-each select="/page/customer/ROWSET/ROW">
                   <xsl:choose>
                    <xsl:when test="/page/ROWSET/ROW/CUSTOMER_ID = CUSTOMER_ID">
                      <option name="NAME" selected="yes" value="CUSTOMER_ID"><xsl:value-of select="NAME"/></option>
                    </xsl:when>
                    <xsl:otherwise>
                      <option name="NAME" value="CUSTOMER_ID"><xsl:value-of select="NAME"/></option>
                    </xsl:otherwise>
                   </xsl:choose> 
                  </xsl:for-each>
                 </select>
               </td>
              </tr>
             </table>
            </xsl:for-each>
            </td>
           </tr>
          <tr>
           <td class="OraTableCellText" align="center">
             <a href="updateContact.xsql" onclick="document.manage.submit();return false;">
              <img border="0" src="images/b-Update.gif"/></a>
            </td>
           </tr>
          </table>
	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
   <tr><td colspan="2"><hr size="1"/></td></tr>
   <tr><td colspan="2">Copyright &#169; ORACLE 2002</td></tr>
</table>
</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
