<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<table width="100%">
<form name="manage" action="updateCustomerAction.xsql" method="post">
  <tr> 
    <td colspan="2">  
       <b><img src="images/d_arrow.gif" width="8" height="9" /> XDK Customers Profile</b>
    </td>
  </tr>
    <tr valign="top" align="center">
    <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
       <xsl:for-each select="page/ROWSET/ROW">
        <table cellSpacing="0" cellPadding="1" border="0" width="100%">
           <tr>
           <td class="OraTableCellText">
             <table style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Name
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input type="hidden" name="ID" value="{CUSTOMER_ID}"/>
                  <input name="NAME" value="{NAME}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Street
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="STREET" value="{STREET}"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  City
               </td>
              <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="CITY" value="{CITY}"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" nowrap="yes"
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  State
               </td>
              <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="STATE" value="{STATE}"/>,
                  Zip Code <input name="ZIP" value="{ZIP}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  Country
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input name="COUNTRY" value="{COUNTRY}"/>
               </td>
              </tr>
               <tr>
               <td class="OraTableCellText" nowrap="yes">
                  Web Site
               </td>
               <td class="OraTableCellText" width="100%"
                  style="BORDER-LEFT: #cccc99 1px solid;">
                     <input size="40" name="WEB_SITE" value="{WEB_SITE}"/>
               </td>
              </tr>
             </table>
           </td>
          </tr>
           <tr>
            <td class="OraTableColumnHeader"> Description:
            </td>
          </tr>
          <tr>
            <td class="OraTableCellText" >
             <table width="100%" style="BORDER:#cccc99 1px solid;">
              <tr>
                <td class="OraTableCellText" >
                  <textarea name="DESCRIPTION" cols="70" rows="10">
                    <xsl:value-of select="DESCRIPTION"/>
                  </textarea>
                </td>
              </tr>
             </table>
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText" align="center">
             <a href="updateCustomer.xsql" onclick="document.manage.submit();return false;">
              <img border="0" src="images/b-Update.gif"/></a>
            </td>
           </tr>
         <tr>
            <td class="OraTableColumnHeader">Applications:
             <a class="OraTableColumnHeader" href="index.xsql?pagename=mgApp">Update</a>
            </td>
          </tr>
          <tr>
            <td class="OraTableCellText">
             <table width="100%" style="BORDER:#cccc99 1px solid;">
              <xsl:for-each select="/page/app/ROWSET/ROW">
               <tr>
                <td width="100%" class="OraTableCellText"
                     style="BORDER-BOTTOM: #cccc99 1px solid" >
                 <xsl:value-of select="NAME"/>
                </td>
                <td width="10" class="OraTableCellText" style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  [<a class="OraTableCellText" href="showApp.xsql?id={APP_ID}">Details</a>]
                </td>
                <td width="10" class="OraTableCellText" style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  [<a class="OraTableCellText" href="updateApp.xsql?id={APP_ID}">Update</a>]
                </td>
                </tr>
               <tr>
                <td colspan="3" class="OraTableCellText" >
                 <xsl:value-of select="DESCRIPTION"/>
                </td>
               </tr>
               </xsl:for-each>
              </table>
           </td>
          </tr>
         </table>
         </xsl:for-each>
	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
 </form>
  </table>
</xsl:template>
</xsl:stylesheet>
