<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<form name="manage" action="updatePMEventAction.xsql" method="post">
<table width="100%">
  <tr> 
    <td colspan="2">  
       <h2>Customer Contact</h2>
    </td>
  </tr>
  <tr> 
    <td>
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="history.back()">Back</a>
    </td>
    <td align="right">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
  <tr> 
    <td colspan="2"><hr size="1" /></td>
  </tr>
   <tr valign="top" align="center">
    <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET">
        <table cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
            <td class="OraTableColumnHeader">Update Product Management Event
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
            <xsl:for-each select="page/ROWSET/ROW">
              <xsl:variable name="customer_id" select="CUSTOMER_ID"/>
              <xsl:variable name="type" select="TYPE"/>
              <table width="100%" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Name</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <input type="hidden" name="ID" value="{ID}"/>
                  <input size="50" name="NAME" value="{NAME}"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Type</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <select name="TYPE">
                   <xsl:for-each select="/page/type/ROWSET/ROW">
                    <xsl:choose>
                      <xsl:when test="NAME/text() = $type">
                        <option name="TYPE" value="{NAME}" selected="true">
                           <xsl:value-of select="DESCRIPTION"/>
                        </option>
                      </xsl:when>
                      <xsl:otherwise>
                        <option name="TYPE" value="{NAME}">
                          <xsl:value-of select="DESCRIPTION"/>
                        </option>
                      </xsl:otherwise>
                    </xsl:choose>
                   </xsl:for-each>
                 </select>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Customer</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <select name="CUSTOMER_ID">
                   <xsl:for-each select="/page/customer/ROWSET/ROW">
                    <xsl:choose>
                      <xsl:when test="CUSTOMER_ID/text() = $customer_id">
                        <option name="CUSTOMER_ID" value="{CUSTOMER_ID}" selected="true">
                           <xsl:value-of select="NAME"/>
                        </option>
                      </xsl:when>
                      <xsl:otherwise>
                        <option name="CUSTOMER_ID" value="{CUSTOMER_ID}">
                          <xsl:value-of select="NAME"/>
                        </option>
                      </xsl:otherwise>
                    </xsl:choose>
                   </xsl:for-each>
                 </select>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText">
                  <b>Date</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <input name="TIME" value="{TIME}"/>
               </td>
              </tr>
              </table>
            </xsl:for-each>
            </td>
           </tr>
          <tr>
           <td class="OraTableCellText" align="center">
             <a href="updateContact.xsql" onclick="document.manage.submit();return false;">
              <img border="0" src="images/b-Update.gif"/></a>
            </td>
           </tr>
          </table>
	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
   <tr><td colspan="2"><hr size="1"/></td></tr>
   <tr><td colspan="2">Copyright &#169; ORACLE 2002</td></tr>
</table>
</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
