<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">

<html>
<head>
<title>Oracle9i XML FAQ Search Result</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
<link rel="stylesheet" href="js/blafdoc.css"/>
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<table width="550" border="0" cellspacing="0" cellpadding="0" align="center">
  <tr align="center"> 
    <td><xsl:text> </xsl:text></td>
  </tr>
  <tr align="center"> 
    <td> 
      <div align="left">
        <b>XDK Related FAQs</b></div>
    </td>
  </tr>
  <TR> 
    <TD>
      <img src="images/r_arrow.gif" width="8" height="9" />
      <xsl:choose>
        <xsl:when test="/page/SIG[.='back']">
           <a href="#" onClick="history.back()" >Back</a>
        </xsl:when>
        <xsl:otherwise>
          <a href="#" onClick="self.close()" >Close Window</a>
         </xsl:otherwise>
      </xsl:choose>
    </TD>
  </TR>
 <tr> 
    <td height="18"> 
      <hr size="1" />
    </td>
  </tr>
   <tr valign="top" align="center">
    <td> 
     <xsl:for-each select="page/ROWSET">
       <table border="0" width="550">
 	 <xsl:choose>
          <xsl:when test="ROW/RELATIVES/RELATIVES_ROW">
            <tr>
              <td width="10" bgcolor="#FFFFFF"><xsl:text> </xsl:text></td>
              <th width="490">Questions</th>
              <th width="50">Answer</th>
            </tr>
            <xsl:for-each select="ROW/RELATIVES/RELATIVES_ROW">
            <tr bgcolor="#f7f7e7">
               <td width="10" bgcolor="#FFFFFF">
	          <img src="images/r_arrow.gif" width="10" height="10"/>
               </td>
               <td width="490">
                     <xsl:value-of disable-output-escaping="yes" select="QUESTION"/>
               </td>
               <td width="50">
                 <xsl:choose>
                   <xsl:when test="/page/SIG[.='back']">
                     <a href="showAnswer.xsql?id={ID}&amp;sig=back">Answer</a>
                   </xsl:when>
                   <xsl:otherwise>
                    <a href="showAnswer.xsql?id={ID}">Answer</a>
                   </xsl:otherwise>
                  </xsl:choose>
               </td>
             </tr>
             </xsl:for-each>
            </xsl:when>
            <xsl:otherwise>
 	      <tr><td>
                   No related FAQs.
		</td></tr>
            </xsl:otherwise>
           </xsl:choose>
   
       </table>
      </xsl:for-each>   
    </td>
   </tr>
  <tr> 
    <td> 
      <hr size="1"/>
    </td>
  </tr>
  <tr>
    <td class="footnt"> 
           Copyright  &#169; ORACLE CORE and XDK Development Team
    </td>
  </tr>
</table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
