<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="UtilText.xsl" />
<xsl:include href="message.xsl"/>

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
 <table>
  <tr> 
    <td>
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="history.back()">Back</a>
    </td>
    <td align="right">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
  <tr>
   <td colspan="2">
  <xsl:choose>  
     <xsl:when test="page/INPUTDOC/CONTENT">
      <table border="0" width="550">
       <tr><td width="550">
            <img src="images/r_arrow.gif" width="10" height="10" /> 
            <b>FAQ inserted Sucessfully.</b>
           </td>
       </tr>
       <tr>
         <td width="550">
          <pre>
           <xsl:value-of select="page/INPUTDOC/CONTENT" />
          </pre>
         </td>
       </tr>
      </table>
     </xsl:when>
     <xsl:otherwise>
      <table border="0" width="100%">
       <tr><td width="550">
            <img src="images/r_arrow.gif" width="10" height="10" /> 
            <b>Failed when the new FAQ.</b>
            <xsl:apply-templates select="/page"/>
           </td>
       </tr>
     </table>
     </xsl:otherwise>
  </xsl:choose> 
 </td></tr>
</table>
</body>
</html>
</xsl:template>

</xsl:stylesheet>