<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template name ="news_content" match="/">
<page title="XDK News">
   <table width="100%" border="0">
     <tr> 
       <td width="10" align="right" valign="top">
            <img src="images/d_arrow.gif" width="10" height="10"/>
       </td>
       <td> 
           <b>What's New:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>

     <xsl:for-each select="page/NEWS/NEWS_ITEM">
        <tr> 
          <td width="10" align="right" valign="top">
            <img src="images/r_arrow.gif" width="10" height="10"/>
          </td>
          <td colspan="2" width="600" align="left" class="fbox">
            <a href="{LINK}" target="_new"
             class="fbox">
               <xsl:value-of select="TITLE"/></a>
               <xsl:if test="STATUS[text()!='']">
                 <img src="/xdkus/images/{STATUS}.gif"/> 
               </xsl:if>
            <xsl:text>(</xsl:text><xsl:value-of select="TIME"/><xsl:text>)</xsl:text>
          </td>
        </tr>
        <tr> 
          <td width="10"><xsl:text> </xsl:text></td>
          <td colspan="2" width="600" class="footnt">
              <xsl:value-of select="NOTE"/>
          </td>
        </tr>
     </xsl:for-each>
     </table>
</page>
</xsl:template>
</xsl:stylesheet>




