create or replace function getProductInfo(p_top IN varchar2) return SYS_REFCURSOR
as
   qryCtx DBMS_XMLGEN.ctxHandle;
   result varchar2(32767);
   refres SYS_REFCURSOR;
BEGIN
   qryCtx := 
     DBMS_XMLGEN.newcontextFromHierarchy('SELECT level, XMLELEMENT(product, 
                                    XMLATTRIBUTES(fullname),
                                    XMLFOREST(product_id)) as details
                          FROM product connect by prior
                          product_id = parent_pd start with product_id='''||p_top||'''');
   result := DBMS_XMLGEN.getXML(qryCtx);
   dbms_output.put_line(result);
   DBMS_XMLGEN.CloseContext(qryCtx);
   open refres for select result as result from dual;
   return refres;
END;
/
var result varchar2(4000)
begin
  :result:=getProductInfo('oracle');
end;

