<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                                       xmlns:ns="http://www.oracle.com/faq.xsd">
<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<table width="100%">
   <tr> 
    <td>
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="history.back()">Back</a>
    </td>
    <td align="right">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
</table>
 <xsl:choose>
   <xsl:when test="page/ROWSET/ROW">
         <table align="left" border="0" width="100%">
           <tr>
             <th>No.</th>
             <th>Purchase Order Message ID</th>
             <th>Status</th>
             <xsl:if test="page/ROWSET/ROW//REASON">
             <th>Reason</th>  
             </xsl:if>
             <xsl:if test="page/ROWSET/ROW//STORAGE">
             <th>Storage</th>  
             </xsl:if>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
            <tr>
              <xsl:attribute name="class">
		<xsl:choose>
		  <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
		  <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
		</xsl:choose>
              </xsl:attribute>
             <td><xsl:value-of select="@num"/>:</td>
             <td>
              <a href="showMesg.xsql?id={MSGID}">
                 <xsl:value-of disable-output-escaping="yes" select="MSGID"/></a>
             </td>
             <td>
               <a href="sendEmail.xsql?id={MSGID}">
                 <xsl:value-of disable-output-escaping="yes" select="STATUS"/>
               </a>
             </td>
             <xsl:if test="REASON">
             <td>
               <a title="{REASON}" href="#">reason</a>
             </td>
             </xsl:if>
             <xsl:if test="STORAGE">
             <td>
               <a href="showPOTable.xsql?id={MSGID}">storage</a>
             </td>
             </xsl:if>
            </tr>
            </xsl:for-each>
           </table>
	     </xsl:when>
         <xsl:otherwise>
         <table>
           <tr>
           <td>No Message found. Please try again. <img src="images/r_arrow.gif" width="8" height="9" /><a href="#" onClick="self.close()" >Close</a>
           </td>
          </tr>
         </table>
         </xsl:otherwise>
         </xsl:choose>
 </body>
</html>
</xsl:template>
</xsl:stylesheet>
