<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<table width="100%" >
 <tr>
  <td valign="top" rowspan="2" colspan="2">
   <table width="100%" border="1">
     <tr>
      <th background="#FF0000" colspan="5" width="80%">Purchase Order</th>
     </tr>
    <tr> 
    <th width="7%" rowspan="2">Shipto</th>
    <xsl:for-each select="purchaseOrder/shipTo">
      <td width="31%" rowspan="2">
         <xsl:value-of select="name"/><br/>
         <xsl:value-of select="street"/><br/>
         <xsl:value-of select="city"/>,
         <xsl:value-of select="state"/><xsl:text> </xsl:text>
         <xsl:value-of select="zip"/><br/>
         <xsl:value-of select="@country"/>
     </td>
    </xsl:for-each>
    <th rowspan="4" width="5%">Billto</th>
    <xsl:for-each select="page/submit/purchaseOrder/billTo">
    <td rowspan="4" width="31%">
         <xsl:value-of select="name"/><br/>
         <xsl:value-of select="street"/><br/>
         <xsl:value-of select="city"/><br/>
         <xsl:value-of select="state"/>,
         <xsl:value-of select="zip"/><br/>
         <xsl:value-of select="@country"/>
    </td>
    </xsl:for-each>
    <td width="16%"> 
      <div align="center"><xsl:value-of select="page/submit/purchaseOrder/@ref"/></div>
    </td>
  </tr>
  <tr> 
    <th height="1" width="16%"> 
      <div align="center">Reg No.</div>
    </th>
  </tr>
  <tr> 
    <th width="7%" rowspan="2">Sendby</th>
    <xsl:for-each select="page/submit/purchaseOrder/sendby">
    <td width="31%" rowspan="2">
         <xsl:value-of select="name"/><br/>
         <xsl:value-of select="street"/><br/>
         <xsl:value-of select="city"/>,
         <xsl:value-of select="state"/><xsl:text> </xsl:text>
         <xsl:value-of select="zip"/><br/>
         <xsl:value-of select="@country"/>
        </td>
        </xsl:for-each>
    <td width="16%"> 
      <div align="center"><xsl:value-of select="page/submit/purchaseOrder/@orderDate"/></div>
    </td>
  </tr>
  <tr> 
    <th height="1" width="16%"> 
      <div align="center">OrderDate</div>
    </th>
  </tr>
  <tr> 
    <td colspan="5">
      <table width="100%" border="1">
        <tr> 
          <th width="13%">Quantity</th>
          <th width="18%">Item No</th>
          <th width="29%">Item Name</th>
          <th width="40%">Unit Price</th>
          <th width="40%">Price</th>
        </tr>
        <xsl:for-each select="page/submit/purchaseOrder/items/item">
          <tr>
          <td><xsl:value-of select="quantity"/></td>
          <td><xsl:value-of select="@partNum"/></td>
          <td><xsl:value-of select="productName"/></td>
          <td><xsl:value-of select="USPrice"/></td>
          <td><xsl:value-of select="number(USPrice)*number(quantity)"/></td>
          </tr>
        </xsl:for-each>
       </table>
      </td>
     </tr>
     </table>
    </td>
       <th>Source Code</th>
      </tr>
      <tr>
       <td width="50%">
          <iframe width="100%" height="400" FRAMEBORDER="0" src="xmldm_xml/{page/po_param}.xml"/>
        </td>
      </tr>
 </table>  
</xsl:template>
</xsl:stylesheet>