-------------------------------------------------------------------------------
-- FileName: createIDAPAgent.sql
-- Description: 
--   Setup the HTTP agents for IDAP access
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
SET echo ON
exec dbms_aqadm.drop_aq_agent(agent_name=>'jazn.com/bob');
-------------------------------------------------------------------------------
-- Create AQ Agent and enable its DB IDAP access 
-------------------------------------------------------------------------------
BEGIN
   dbms_aqadm.create_aq_agent(agent_name=>'jazn.com/bob', 
                              enable_http =>true);
END;
/
EXECUTE dbms_aqadm.enable_db_access('jazn.com/bob', 'pouser');

-- Quit

