-------------------------------------------------------------------------------
-- FileName: testObjectViewInsert.sql
-- Description: 
--   Test XSU insersion to PO Object View
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
SET serverouput ON

INSERT INTO poid VALUES('16CDBA33D78540C88436709C66BEDDB7');
COMMIT;

DECLARE
   insCtx DBMS_XMLSave.ctxType;
   rows NUMBER;
   v_xml  VARCHAR2(4000):='<ROWSET>
<PURCHASEORDER>
 <SENDBY_ADDR>
   <COUNTRY>US</COUNTRY>
   <CUSTOMER_NAME>Bob Smith</CUSTOMER_NAME>
   <STREET>123 Maple Street</STREET>
   <CITY>Mill Valley</CITY>
   <STATE>CA</STATE>
   <ZIP>94065</ZIP>
 </SENDBY_ADDR>
  <SHIPPING_ADDR>
    <COUNTRY>US</COUNTRY>
    <CUSTOMER_NAME>Alice Smith</CUSTOMER_NAME>
    <STREET>123 Maple Street</STREET>
    <CITY>Mill Valley</CITY>
    <STATE>CA</STATE>
    <ZIP>90952</ZIP>
  </SHIPPING_ADDR>
  <BILLING_ADDR>
    <COUNTRY>US</COUNTRY>
    <CUSTOMER_NAME>Robert Smith</CUSTOMER_NAME>
    <STREET>8 Oak Avenue</STREET>
    <CITY>Old Town</CITY>
    <STATE>PA</STATE>
    <ZIP>95819</ZIP>
  </BILLING_ADDR>
  <LINEITEMS>
    <LINEITEM>
      <PRODUCT_ID>872-AA</PRODUCT_ID>
      <PRODUCT_NAME>Lawnmower</PRODUCT_NAME>
      <PRODUCT_QUANTITY>1</PRODUCT_QUANTITY>
      <PRODUCT_PRICE>148.95</PRODUCT_PRICE>
    </LINEITEM>
    <LINEITEM>
      <PRODUCT_ID>926-AA</PRODUCT_ID>
      <PRODUCT_NAME>Baby Monitor</PRODUCT_NAME>
      <PRODUCT_QUANTITY>1</PRODUCT_QUANTITY>
      <PRODUCT_PRICE>39.98</PRODUCT_PRICE>
    </LINEITEM>
  </LINEITEMS>
</PURCHASEORDER>
</ROWSET>';

BEGIN
    insCtx := DBMS_XMLSave.newContext('purchaseorder'); -- get the context handle
    DBMS_XMLSave.setRowtag(insCtx,'PURCHASEORDER');
    rows := DBMS_XMLSave.insertXML(insCtx,v_xml); -- this inserts the document
    DBMS_XMLSave.closeContext(insCtx);            -- this closes the handle
    dbms_output.put_line(rows||' rows inserted');
END;
/

