-------------------------------------------------------------------------------
-- FileName: createPrintCLOB_proc.sql
-- Description: 
--   Creating the procedure the print out CLOB
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/8/2004 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE PROCEDURE printClobOut(result IN OUT NOCOPY CLOB) is
  str VARCHAR2(32767);
  tmpstr VARCHAR2(32767);
  len integer;
  idx integer := 1;
  nlidx integer;
  new_line varchar2(2) := '
';
BEGIN
      str := dbms_lob.SUBSTR(result,31*1024);

    len := length(str);
    loop
      exit when idx >len;
      nlidx := instr(str,new_line,idx);
      if (nlidx = 0) then
         nlidx := len+1;
      end if;
      tmpstr := substr(str,idx,nlidx-idx);
     
      if(length(tmpstr) > 250) then 
        --print line or 250 bytes per line
        tmpstr := '| '||tmpstr;
        loop
          exit when tmpstr is null;
          dbms_output.put_line(substr(tmpstr,1,250));
          tmpstr := substr(tmpstr,251);
        end loop;
      else
        dbms_output.put_line('| '||tmpstr);
      end if; 
      
      idx := nlidx+1;
    end loop;
END printClobOut;
/
show errors;
