-------------------------------------------------------------------------------
-- FileName: parseXML_HTTUriType.sql
-- Description: 
--   Parsing XML by reading from HTTPUriType
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/8/2004 - Create
-------------------------------------------------------------------------------
SET LONG 100000
SET AUTOPRINT ON
VAR OUT CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
BEGIN
  v_xmltype := SYS.httpuritype.createuri('http://otn.oracle.com/syndication/rss_otn_news.xml').getXML();
  v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  printCLOBOut(v_out);
  DBMS_LOB.freetemporary(v_out);
end;
/
