-------------------------------------------------------------------------------
-- FileName: tsetXSDBuilder.sql
-- Description: 
--   Test PL/SQL for the XSDDBBuilder
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
-- Example without errors
DECLARE
  out VARCHAR2(2000);
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='Product.xsd';
  out := xsd_builder(xsd);
  DBMS_OUTPUT.PUT_LINE(out);
END;
/
show errors;

-- Example with errors
DECLARE
  out VARCHAR2(2000);
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='Product_error.xsd';
  out := xsd_builder(xsd);
  DBMS_OUTPUT.PUT_LINE(out);
END;
/
show errors;

-- Example with errors
DECLARE
  out VARCHAR2(2000);
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='company.xsd';
  out := xsd_builder(xsd);
  DBMS_OUTPUT.PUT_LINE(out);
END;
/
show errors;
cc