-------------------------------------------------------------------------------
-- FileName: createCLOBXMLTypeCol.sql
-- Description: 
--   Create XMLType CLOB colum
-- Modified (MM/DD/YYYY)
--   jiwang  03/24/2003 - Create
-------------------------------------------------------------------------------
SET echo ON
SET LONG 100000
-------------------------------------------------------------------------------
-- Create Table with CLOB XMLType Column
-------------------------------------------------------------------------------
CREATE TABLE product(
 id VARCHAR(10),
 name VARCHAR2(100),
 description XMLType);

-------------------------------------------------------------------------------
-- Insert Sample Data
-------------------------------------------------------------------------------
INSERT INTO product(id, name, description)
 VALUES('xdk', 'XML Developer''s Kit',
        XMLTYPE('<DESCRIPTION><KEYWORD>xdk</KEYWORD> is a set of 
                 standards-based utilities that help to build  XML 
                  applications. It contains XDK Java components, XDK C 
                  components and XDK C++ components. </DESCRIPTION>'));
