-------------------------------------------------------------------------------
-- FileName: createORXMLTypeCol.sql
-- Description: 
--   Create Table with XML Schema-based(OR) XMLType Column
-- Modified (MM/DD/YYYY)
--   jiwang  03/25/2003 - Create
-------------------------------------------------------------------------------
DROP product;
CREATE TABLE product(
 id VARCHAR(10),
 name VARCHAR2(100),
 description XMLType)
XMLType COLUMN description
XMLSCHEMA "http://xmlns.oracle.com/xml/content.xsd"
ELEMENT "DESCRIPTION";

-------------------------------------------------------------------------------
-- Insert Sample data with error
-------------------------------------------------------------------------------
INSERT INTO product(id, name, description)
 VALUES('xdk', 'XML Developer''s Kit',
        XMLTYPE('<DESCRIPTION><KEYWORD>xdk</KEYWORD> is a set of 
                 standards-based utilities that help to build  XML 
                  applications. It contains XDK Java components, XDK C 
                  components and XDK C++ components. </DESCRIPTION>'));

-- Insert Sample data with error
INSERT INTO product(id, name, description)
 VALUES('xdk', 'XML Developer''s Kit',
        XMLTYPE('<DESCRIPTION><KEYWORD>xdk</KEYWORD> is a set of 
                 standards-based utilities that helps to build <KEYWORD>XML</KEYWORD> 
                  applications. It contains XDK Java Components, XDK C 
                  Components and XDK C++ Components. </DESCRIPTION>').CreateSchemaBasedXML('http://xmlns.oracle.com/xml/content.xsd'));
