-------------------------------------------------------------------------------
-- FileName: registerXMLSchema.sql
-- Description: 
--   Register XML Schema
-- Modified (MM/DD/YYYY)
--   jiwang  03/25/2003 - Create
-------------------------------------------------------------------------------
BEGIN
   DBMS_XMLSCHEMA.registerSchema(
      SCHEMAURL=>'http://xmlns.oracle.com/xml/content.xsd',
      SCHEMADOC=>'<?xml version="1.0" encoding="UTF-8"?>
  <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" 
                                     elementFormDefault="qualified">
  <xs:element name="DESCRIPTION">
    <xs:complexType mixed="true">
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="KEYWORD" type= "xs:string" maxOccurs="unbounded"/>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>',
      LOCAL=>TRUE,
      GENTYPES=>TRUE,
      --GENBEAN=>FALSE,
      GENTABLES=>FALSE);
END;
/
show errors;