-------------------------------------------------------------------------------
-- FileName: createTrigger.sql
-- Description: 
--   Create Trigger for the customer table
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER customer_insert
AFTER INSERT ON customer
FOR EACH ROW 
DECLARE
  doc xmltype;
BEGIN
  doc := :new.sys_nc_rowinfo$;
  xmltype.schemavalidate(doc);
END;
/
show errors;

-- End

