-------------------------------------------------------------------------------
-- FileName: createXMLTypeTable_simple.sql
-- Description: 
--   Demonstrate how to create an XMLType table or an table with an XMLType 
--   column using the XMLSCHEMA keyword
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  11/24/2003 - Create
-------------------------------------------------------------------------------
set echo on
CREATE TABLE customer_xmltype_tbl OF XMLType
XMLSCHEMA "http://localhost:8080/public/contact_simple.xsd" 
ELEMENT "Customer";

CREATE TABLE customer_col_tbl( 
 id NUMBER,
 record XMLType)
XMLType COLUMN record STORE AS OBJECT RELATIONAL
XMLSCHEMA "http://localhost:8080/public/contact_simple.xsd" 
ELEMENT "Customer";

-- End

