-------------------------------------------------------------------------------
-- FileName: registerXMLSchema_simple.sql
-- Description: 
--   Register the XML schema for customer contacts without XML DB annotations
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  06/10/2003 - Create
-------------------------------------------------------------------------------
set echo on
-- Delete the registered XML schema
BEGIN
  DBMS_XMLSCHEMA.deleteSchema('http://localhost:8080/public/contact_simple.xsd', 
                              DBMS_XMLSCHEMA.DELETE_CASCADE_FORCE);
END;
/

ALTER SESSION SET EVENTS='31098 trace name context forever';
BEGIN
   DBMS_XMLSCHEMA.registerURI(
                'http://localhost:8080/public/contact_simple.xsd',
                '/public/contact_simple.xsd', 
                LOCAL=>TRUE,GENTYPES=>TRUE, GENBEAN=>FALSE, GENTABLES=>TRUE);
END;
/
 

-- End
