-------------------------------------------------------------------------------
-- FileName: SYS_XMLGEN.sql
-- Description: 
--   Create XML using SYS_XMLGEN
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  06/11/2003 - Create
-------------------------------------------------------------------------------
set echo on
SELECT SYS_XMLGEN(XMLELEMENT("Employee",
   XMLATTRIBUTES(employee_id AS "empno", job_id AS "job"),
   XMLELEMENT("Name",first_name||' '||last_name),
   'is hired on ', 
   hire_date))AS result 
FROM employees
WHERE rownum=1;

-- With format
SELECT SYS_XMLGEN(XMLELEMENT("Employee",
   XMLATTRIBUTES(employee_id AS "empno", job_id AS "job"),
   XMLELEMENT("Name",first_name||' '||last_name),
   'is hired on ', 
   hire_date),
   xmlformat.createformat('EmployeeList','NO_SCHEMA',
                         null,'http://www.oracle.com/','http://dburl',
    '<?xml-stylesheet href="htmlRend.xsl" type="text/xsl" ?>'))
FROM employees
WHERE rownum =1;
