-------------------------------------------------------------------------------
-- FileName: XMLConcat.sql
-- Description: 
--   Use XMLCONCAT to concatenate the XML Elements
-- Modified (MM/DD/YYYY)
--   jiwang  06/15/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Example: Using XMLCONCAT to get XML Fragment
-------------------------------------------------------------------------------
SELECT XMLCONCAT(XMLELEMENT("Email",email),
                 XMLELEMENT("Name", first_name||' '||last_name))         
FROM employees
WHERE ROWNUM<3;
