-------------------------------------------------------------------------------
-- FileName: XMLTypeView.sql
-- Description: 
--   Create XMLType View
-- Modified (MM/DD/YYYY)
--   jiwang  07/11/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE VIEW employee_vw AS
SELECT XMLELEMENT("Employee",
XMLATTRIBUTES(first_name||' '||last_name AS "name"),
XMLFOREST(salary, phone_number))AS result,employee_id
FROM employees;

describe employee_vw;

CREATE OR REPLACE VIEW employee_vw OF XMLTYPE WITH OBJECT ID
(EXTRACT(SYS_NC_ROWINFO$,'/Employee/@empno').getNumberVal())
AS
SELECT XMLELEMENT("Employee",
XMLATTRIBUTES(e.employee_id AS "empno"),
XMLFOREST(e.first_name, e.last_name, e.job_id))AS result
FROM employees e;

SELECT * FROM employee_vw WHERE ROWNUM<2;

CREATE OR REPLACE VIEW employee_vw OF XMLTYPE 
XMLSCHEMA "http://xmlns.oracle.com/xml/employee.xsd" ELEMENT "Employee"
WITH OBJECT ID
(EXTRACT(SYS_NC_ROWINFO$,'/Employee/@empno').getNumberVal())
AS
SELECT XMLELEMENT("Employee",
XMLATTRIBUTES(e.employee_id AS "empno"),
XMLFOREST(e.first_name, e.last_name, e.job_id))AS result
FROM employees e;