-------------------------------------------------------------------------------
-- FileName: createBTreeIndex.sql
-- Description: 
--   Create the B*Tree Index 
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
truncate table plan_table;

DROP INDEX name_idx;
CREATE INDEX name_idx ON product(description.xmldata."name");

ANALYZE TABLE product compute statistics FOR TABLE; 

analyze INDEX name_idx name_idx compute statistics;

explain plan for
  select count(*) 
  from product x
  where x.description.EXISTSNODE( '/Description[@name="XSLT"]')=1;

@d:\oracle\rdbms\admin\utlxpls

