-------------------------------------------------------------------------------
-- FileName: createOracleTextIndexonHTTPUri.sql
-- Description: 
--   Create Oracle Text Index on Files reference by HTTPUri
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
create table mynews(url sys.httpuritype);

insert into mynews values(sys.httpuritype.createuri('http://otn.oracle.com'));
insert into mynews values(sys.httpuritype.createuri('http://msdn.microsoft.com'));
insert into mynews values(sys.httpuritype.createuri('http://www-106.ibm.com/developerworks'));

create index news_idx on mynews(url) indextype is ctxsys.context;

select * from mynews where contains(url, 'xml')>0;