-------------------------------------------------------------------------------
-- FileName: createOracleTextIndexonHTTPUri.sql
-- Description: 
--   Create Oracle Text Index on Files reference by HTTPUri
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
drop index faq_idx;
drop table myfaqs;
create table myfaqs(url sys.xdburitype);

insert into myfaqs values(sys.xdburitype.createuri('/public/faq0001.xml'));
insert into myfaqs values(sys.xdburitype.createuri('/xdbconfig.xml'));

create index faq_idx on myfaqs(url) indextype is ctxsys.context;

select * from myfaqs where contains(url, 'xsql')>0;