-------------------------------------------------------------------------------
-- FileName: checkXMLDBPort.sql
-- Description: 
--   Check HTTP and FTP ports of XML DB
-- Modified (MM/DD/YYYY)
--   jiwang  09/11/2003 - Create
-------------------------------------------------------------------------------
set echo on 
set long 100000
column httpport format a10
column ftpport format a10

-- Select the port number
SELECT
  EXTRACTVALUE(DBMS_XDB.CFG_GET(),
   '/xdbconfig/sysconfig/protocolconfig/httpconfig/http-port/text()') 
   AS httpport,
  EXTRACTVALUE(DBMS_XDB.CFG_GET(),
   '/xdbconfig/sysconfig/protocolconfig/ftpconfig/ftp-port/text()') 
    AS ftpport
FROM dual;

-- End of checkXMLDBPort.sql
set echo off