<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:include href="paging.xsl"/>
  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus.css"/>
        <SCRIPT LANGUAGE="JavaScript">function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}</SCRIPT>
      </head>
      <body>
        <table width="100%">
          <tr>
            <td colspan="2">
              <h2>XML Glossary</h2>
            </td>
          </tr>
          <tr>
            <td>
              <img src="images/r_arrow.gif" width="8" height="9"/>
              <a href="#" onClick="history.back()">Back</a>
            </td>
            <td align="right">
              <img src="images/r_arrow.gif" width="8" height="9"/>
              <a href="#" onClick="self.close()">Close</a>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <hr size="1"/>
            </td>
          </tr>
          <tr>
            <td>
              <xsl:for-each select="page/ROWSET/ROW">
                <h2>
                  <xsl:value-of disable-output-escaping="yes" select="NAME"/>
                </h2>
                <table align="left" border="0" width="100%">
                  <tr>
                    <th class="portletTitle">CONTENT</th>
                  </tr>
                  <tr>
                    <xsl:attribute name="class">
                      <xsl:choose>
                        <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                        <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
                      </xsl:choose>
                    </xsl:attribute>
                    <td>
                      <xsl:value-of disable-output-escaping="yes"
                                    select="CONTENT"/>
                    </td>
                  </tr>
                </table>
              </xsl:for-each>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
