-------------------------------------------------------------------------------
-- FileName: createOracleTextIndex.sql
-- Description: 
--   Create Oracle Text index on the FAQ Table
-- Modified (MM/DD/YYYY)
--   jiwang  08/21/2003 - Create by pull out code from createFAQTable.sql
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Create Oracle Text Index on the FAQ Content
-------------------------------------------------------------------------------
CREATE INDEX faq_index 
  ON faq (sys_nc_rowinfo$)
  INDEXTYPE IS ctxsys.context
  PARAMETERS('section group ctxsys.path_section_group');

