<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template name ="news_content" match="/">
   <table width="100%" border="0">
     <tr> 
       <td width="10" align="right" valign="top">
            <img src="images/d_arrow.gif" width="10" height="10"/>
       </td>
       <td> 
           <b>XDK Documentations:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>

     <xsl:for-each select="page/PRES/PRES_ITEM">
        <tr> 
          <td width="10" align="right" valign="top">
            <img src="images/r_arrow.gif" width="10" height="10"/>
          </td>
          <td colspan="2" width="600" align="left" class="fbox">
             <a href="index.xsql?pagename=generateForm&amp;table=COLLATERAL&amp;updateid={ID}&amp;updatecolmn=collateral_id" class="fbox">
               <xsl:value-of disable-output-escaping="yes" select="TITLE"/></a>
            <xsl:text>(</xsl:text><xsl:value-of select="TIME"/><xsl:text>)</xsl:text>
          </td>
        </tr>
        <tr> 
          <td width="10"><xsl:text> </xsl:text></td>
          <td colspan="2" width="600" class="footnt">
              by <xsl:value-of select="AUTHOR"/><xsl:value-of select="NOTE"/>
          </td>
        </tr>
     </xsl:for-each>
     </table>
 </xsl:template>
</xsl:stylesheet>




