<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template name ="news_content" match="/">
<page title="XDK News Upates">
   <table width="100%" border="0">
     <tr> 
       <td width="10" align="right" valign="top">
            <img src="images/d_arrow.gif" width="10" height="10"/>
       </td>
       <td> 
           <b>XDK Users:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>

     <xsl:for-each select="page/ROWSET/ROW">
        <tr> 
          <td width="10" align="right" valign="top">
            <img src="images/r_arrow.gif" width="10" height="10"/>
          </td>
          <td colspan="2" width="600" align="left" class="fbox">
            <a href="index.xsql?pagename=generateForm&amp;table=USERS&amp;updateid={USER_ID}&amp;updatecolmn=user_id" class="fbox">
                <xsl:value-of select="FIRST_NAME"/>,<xsl:value-of select="LAST_NAME"/></a>
             (<xsl:value-of select="ROLE"/>):<xsl:value-of select="EMAIL"/>
            <xsl:text> (</xsl:text><xsl:value-of select="STATUS"/><xsl:text>)</xsl:text>
          </td>
        </tr>
        <tr> 
          <td width="10"><xsl:text> </xsl:text></td>
          <td colspan="2" width="600" class="footnt">
            Registered on:<xsl:value-of select="REGISTER_DATE"/>.<xsl:value-of select="COMMENTS"/>
          </td>
        </tr>
     </xsl:for-each>
     </table>
 </page>
 </xsl:template>
</xsl:stylesheet>




