<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>
<xsl:output encoding="utf-8"/>
  <xsl:template match="/">
      <table width="600" border="0" cellspacing="0" cellpadding="0"
             align="center">
        <tr>
         <td><b>Active XDK Bugs:</b>
         </td>
          <td> <xsl:apply-templates select="page/paging"/>
         </td>
         </tr>
        <tr align="left" valign="middle">
          <td colspan="2">
            <table border="1" width="100%">
              <tr>
                <th class="portletTitle">Bug No.</th>
                <th class="portletTitle">Subject</th>
                <th class="portletTitle">Priority</th>
                <th class="portletTitle">Fix by</th>
                <th class="portletTitle">Assigned</th>
                <th class="portletTitle">ReportDate</th>
              </tr>
              <xsl:for-each select="page/ROWSET/ROW">
                <tr>
                  <xsl:attribute name="class">
                    <xsl:choose>
                      <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                      <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
                    </xsl:choose>
                  </xsl:attribute>
                  <td align="center">
                    <a
                       href="http://bug.us.oracle.com/pls/bug/webbug_print.show?c_rptno={RPTNO}">
                      <xsl:value-of select="RPTNO"/>
                    </a>
                  </td>
                  <td>
                    <xsl:value-of select="SUBJECT"/>
                  </td>
                  <td align="center">
                    <xsl:value-of select="CS_PRIORITY"/>
                  </td>
                  <td align="center">
                    <xsl:value-of select="FIXBY"/>&nbsp;</td>
                   <td align="center">
                    <xsl:value-of select="PROGRAMMER"/>&nbsp;</td>
                   <td align="center">
                    <xsl:value-of select="RPTDATE"/>&nbsp;</td>
                </tr>
              </xsl:for-each>
            </table>
          </td>
        </tr>
      </table>
  </xsl:template>
</xsl:stylesheet>
