<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
 <ROWSET>
  <xsl:choose>
    <xsl:when test="request/parameters/row">
      <xsl:for-each select="request/parameters/row">
        <xsl:if test="contact">
          <ROW>
           <APP_ID><xsl:value-of select="../id"/></APP_ID>
           <ORACLE_CONTACT_ID><xsl:value-of select="contact/text()"/></ORACLE_CONTACT_ID>
          </ROW>
        </xsl:if>
      </xsl:for-each>
    </xsl:when>
    <xsl:otherwise>
       <xsl:if test="request/parameters/contact">
          <ROW>
           <APP_ID><xsl:value-of select="request/parameters/id"/></APP_ID>
           <ORACLE_CONTACT_ID><xsl:value-of select="request/parameters/contact/text()"/></ORACLE_CONTACT_ID>
          </ROW>
     </xsl:if>
    </xsl:otherwise>
  </xsl:choose>
</ROWSET>
 </xsl:template>
</xsl:stylesheet>
