<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template match="/">
<html>
<body>
<table width="100%">
<form name="manage" action="deleteContact.xsql" method="post">
     <tr> 
       <td> 
          <img src="images/d_arrow.gif" width="10" height="10"/> <b>XDK Contact Information:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>
  <tr valign="top" align="center">
   <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
       <table width="100%">
        <tr>
         <td>
           <a href="mgContact.xsql" onclick="document.manage.submit();return false">
            <img border="0" src="images/b-Delete.gif"/></a>
         </td>
        </tr>
        <tr>
         <td> 
           <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
           <tr>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader">No.</th>
             <th style="BORDER-LEFT: #f7f7e7 1px solid" class="OraTableColumnHeader" colspan="3">Customer</th>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
            <tr>
              <td class="OraTableCellText"  width="10"
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
                  <input type="radio" name="id" value="{CONTACT_ID}"/>
              </td>
              <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
             <xsl:if test="NAME/text() !=', '">
             <table width="400" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b><xsl:value-of select="NAME"/></b>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STREET"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TITLE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CITY"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="BUSINESS_PHONE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STATE"/>,
                  <xsl:value-of disable-output-escaping="yes" select="ZIP"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200">
                 <a class="OraTableCellText" href="mailto:{EMAIL}">
                    <xsl:value-of disable-output-escaping="yes" select="EMAIL"/>
                 </a>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <xsl:value-of disable-output-escaping="yes" select="COUNTRY"/>
               </td>
              </tr>
             </table>     
             </xsl:if>            
               </td>
              <td class="OraTableCellText" valign="middle"
                   style="BORDER-BOTTOM: #cccc99 1px solid" width="40">
 	          <a class="OraTableCellText" href="updateContact.xsql?id={CONTACT_ID}">
 	            <img border="0" src="images/b-Update.gif"/></a>
               </td>
              </tr>
             </xsl:for-each>
             </table>
            </td>
           </tr>
          <tr>
           <td>
             <a href="createContact.xsql" 
                onclick="document.location.href='/xdkus/app_customer/index.xsql?pagename=mgContact&amp;p=1';document.location.href='/xdkus/app_customer/index.xsql?pagename=mgContact&amp;p=1';return false">
              <img border="0" src="images/b-Create.gif"/></a>
             </td>
           </tr>
          </table>
 	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
      </td>
    </tr>
  </form>
   </table>
</body></html>   
</xsl:template>
</xsl:stylesheet>
