<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="paging.xsl"/>

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<form name="CustomerForm">
 <table width="100%">
 <tr>
  <td><h2>Customers for XDK Proudcts</h2></td> 
 </tr>
 <tr>
  <td>
    <xsl:choose>
      <xsl:when test="page/ROWSET">
         <xsl:apply-templates select="page/paging"/>
         <table align="left" border="0" width="100%">
           <tr>
             <th>Name</th>
             <th>Application</th>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
            <tr>
	       <xsl:attribute name="class">
		 <xsl:choose>
		   <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
		   <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
		   </xsl:choose>
		</xsl:attribute>
               <td><xsl:value-of select="{ID}"/>:
             <xsl:value-of disable-output-escaping="yes" select="NAME"/>
              </td>
              <td width="40">
 	             <a href="showCustomer.xsql?id={ID}"
	                onClick="NewWindow('showCustomer.xsql?id={ID}','name','570','300','yes');return false;">Answer</a>
              </td>
             </tr>
            </xsl:for-each>
           </table>
	     </xsl:when>
         <xsl:otherwise>
         <table>
          <tr>
           <td>No Customer found.</td></tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
   <tr>
     <td>
       <table width="100%">
       
        <A onclick="submitForm('CustomerForm',1,{'jboEvent':'Create'});return false" 
           href="http://cust_create.xsql"><IMG height=26 alt=Create 
           src="images/b-Create.gif" width=65 border=0></A>
      <td>
   </tr>
   </body>
</html>
</xsl:template>
</xsl:stylesheet>
