<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<table width="100%">
  <tr> 
    <td colspan="2">  
       <h2>XDK Application</h2>
    </td>
  </tr>
  <tr> 
    <td>
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="history.back()">Back</a>
    </td>
    <td align="right">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
  <tr> 
    <td colspan="2"><hr size="1" /></td>
  </tr>
   <tr valign="top" align="center">
    <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
        <table cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
            <td class="OraTableColumnHeader">Application Profile:
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
            <table width="100%">
             <tr><td>
            <xsl:for-each select="page/ROWSET/ROW">
             <table width="100%" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Name</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="NAME"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Type</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="APP_TYPE"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Customer</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CUSTOMER"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" nowrap="yes">
                  <b>XML Product</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;">&nbsp;
                 <xsl:for-each select="/page/xml_product/ROWSET/ROW">
                   <xsl:value-of disable-output-escaping="yes" select="FULLNAME"/>,
                 </xsl:for-each>
               </td>
              </tr>
             </table>
            </xsl:for-each>
            </td></tr></table>
           </td>
          </tr>
          <tr>
            <td class="OraTableColumnHeader"> Description:
            </td>
          </tr>
          <tr>
            <td class="OraTableCellText" >
               <xsl:value-of select="/page/ROWSET/ROW/DESCRIPTION"/>
            </td>
          </tr>
         <tr>
            <td class="OraTableColumnHeader">Contact:
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
            <table>
             <tr><td>
            <xsl:for-each select="page/contact/ROWSET/ROW">
             <table width="400" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b><xsl:value-of select="NAME"/></b>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STREET"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TITLE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CITY"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="BUSINESS_PHONE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STATE"/>,
                  <xsl:value-of disable-output-escaping="yes" select="ZIP"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200">
                 <a class="OraTableCellText" href="mailto:{EMAIL}">
                    <xsl:value-of disable-output-escaping="yes" select="EMAIL"/>
                 </a>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <xsl:value-of disable-output-escaping="yes" select="COUNTRY"/>
               </td>
              </tr>
             </table><br/>
            </xsl:for-each>
            </td></tr>
            </table>
            </td>
          </tr>
         <tr>
            <td class="OraTableColumnHeader">Oracle Contact:
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
            <table>
             <tr><td>
            <xsl:for-each select="page/occontact/ROWSET/ROW">
             <table width="400" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b><xsl:value-of select="NAME"/></b>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STREET"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="TITLE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="CITY"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="BUSINESS_PHONE"/>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="STATE"/>,
                  <xsl:value-of disable-output-escaping="yes" select="ZIP"/>
               </td>
              </tr>
              <tr>
                <td class="OraTableCellText" width="200">
                 <a class="OraTableCellText" href="mailto:{EMAIL}">
                    <xsl:value-of disable-output-escaping="yes" select="EMAIL"/>
                 </a>
               </td>
               <td class="OraTableCellText" width="200" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <xsl:value-of disable-output-escaping="yes" select="COUNTRY"/>
               </td>
              </tr>
             </table>
            </xsl:for-each>
             </td></tr>
            </table>
           </td>
          </tr>
          <tr>
            <td class="OraTableCellText">
              <ul>
               <xsl:for-each select="page/app/ROWSET/ROW">
                <li class="OraTableCellText" ><xsl:value-of select="NAME"/><xsl:text>  </xsl:text> 
                    <a class="OraTableCellText" href="showApp.xsql">More Info...</a>
                    <p class="OraTableCellText" ><xsl:value-of select="DESCRIPTION"/></p>
                </li>
               </xsl:for-each>
              </ul>
            </td>
          </tr>
          
         </table>
	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Application found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
   <tr><td colspan="2"><hr size="1"/></td></tr>
   <tr><td colspan="2">Copyright &#169; ORACLE 2002</td></tr>
</table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
