<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
<table width="100%">
  <tr> 
    <td colspan="2">  
       <h2>XDK Product Management Event Profile</h2>
    </td>
  </tr>
  <tr> 
    <td>
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="history.back()">Back</a>
    </td>
    <td align="right">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
  <tr> 
    <td colspan="2"><hr size="1" /></td>
  </tr>
   <tr valign="top" align="center">
    <td colspan="2"> 
    <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
        <table cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
            <td class="OraTableColumnHeader">Profile:
            </td>
          </tr>
          <tr>
           <td class="OraTableCellText">
            <xsl:for-each select="page/ROWSET/ROW">
             <table width="100%" style="BORDER:#cccc99 1px solid;">
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Name</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="NAME"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Type</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <xsl:value-of disable-output-escaping="yes" select="AMOUNT"/>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText" 
                  style="BORDER-BOTTOM: #cccc99 1px solid">
                  <b>Customer</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;BORDER-BOTTOM: #cccc99 1px solid">
                  <a class="OraTableCellText" href="showCustomer.xsql?id={CUSTOMER_ID}">
                     <xsl:value-of disable-output-escaping="yes" select="CUSTOMER"/>
                  </a>
               </td>
              </tr>
              <tr>
               <td class="OraTableCellText">
                  <b>Date</b>
               </td>
               <td class="OraTableCellText" width="100%" 
                  style="BORDER-LEFT: #cccc99 1px solid;">
                  <xsl:value-of disable-output-escaping="yes" select="TIME"/>
               </td>
              </tr>
              </table>
            </xsl:for-each>
           </td>
          </tr>
          <tr>
            <td class="OraTableColumnHeader"> Description:
            </td>
          </tr>
          <tr>
            <td class="OraTableCellText" >
               <xsl:value-of select="/page/ROWSET/ROW/DESCRIPTION"/>
            </td>
          </tr>
         </table>
	 </xsl:when>
         <xsl:otherwise>
         <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="1" border="0" width="100%">
          <tr>
           <td class="OraTableCellText" 
               style="BORDER-LEFT: #cccc99 1px solid; BORDER-BOTTOM: #cccc99 1px solid">
               No Customer found.
            </td>
          </tr>
         </table>
         </xsl:otherwise>
       </xsl:choose>
    </td>
   </tr>
   <tr><td colspan="2"><hr size="1"/></td></tr>
   <tr><td colspan="2">Copyright &#169; ORACLE 2002</td></tr>
</table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
