<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="category.xsl"/>

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
 <xsl:choose>
   <xsl:when test="page/ROWSET/ROW">
      <xsl:for-each select="page/ROWSET">
         <table border="0" width="100%">
           <tr>
            <td colspan="3"><h2>
             <xsl:call-template name="category">
               <xsl:with-param name="cat" select="/page/CATEGORY"/>
             </xsl:call-template>FAQ</h2></td> 
           </tr>
          <tr> 
           <td colspan="2" align="left">
                <img src="images/r_arrow.gif" width="8" height="9" /> 
                 <a href="#" onClick="history.back()">Back</a><xsl:text>                         </xsl:text>
           </td>
           <td colspan="1" align="right">
              <img src="images/r_arrow.gif" width="8" height="9" /> 
              <a href="#" onClick="self.close()" >Close</a>
           </td>
           </tr>
           <tr>
             <th width="2">No.</th>
             <th width="100%" colspan="2">Frequently Asked Questions</th>
           </tr>
            <xsl:for-each select="ROW">
             <xsl:sort order = "TITLE" /> 
            <tr bgcolor="#F0F0F0">
              <td width="2">
 		 <xsl:value-of select="position()"/>:
              </td>
              <td width="100%" colspan="2">
                  <a href="showAnswer.xsql?id={@id}"
	          onClick="NewWindow('showAnswer.xsql?id={@id}','name','600','400','yes');return false;">
	          <xsl:value-of disable-output-escaping="yes" select="./TITLE"/></a>
              </td>
             </tr>
            </xsl:for-each>
           </table>
         </xsl:for-each>   
	 </xsl:when>
         <xsl:otherwise>
         <table>
          <tr>
           <td>No FAQs found.</td></tr>
         </table>
         </xsl:otherwise>
         </xsl:choose>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
