<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="UtilText.xsl" />
<xsl:include href="message.xsl"/>

<xsl:template match="/">
  <xsl:choose>  
     <xsl:when test="page/InputDoc">
      <table border="0" width="100%">
       <tr><td width="550">
            <img src="images/r_arrow.gif" width="10" height="10" /> 
            <b>FAQ inserted Sucessfully.</b>
           </td>
       </tr>
       <tr align="left">
          <td> 
           <code><xsl:apply-templates select="page/InputDoc/CONTENT" /></code>
         </td>
       </tr>
     </table>
     </xsl:when>
     <xsl:otherwise>
        <xsl:apply-templates select="page" />
     </xsl:otherwise>
  </xsl:choose> 
</xsl:template>

<xsl:template match="*">
      <xsl:call-template name="br-replace">
        <xsl:with-param name="text">
          <xsl:call-template name="sp-replace">
             <xsl:with-param name="text" select="."/>
          </xsl:call-template>
        </xsl:with-param>
     </xsl:call-template>
</xsl:template>    
     
</xsl:stylesheet>