<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns="http://www.oracle.com/faq.xsd">

<xsl:template match="/">
<html>
<head><link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
<SCRIPT LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</SCRIPT>
</head>
<body>
 <xsl:choose>
   <xsl:when test="page/ROWSET/ROW">
      <xsl:for-each select="/page/ROWSET">
         <table border="0" width="100%">
           <tr>
            <td colspan="4"><h2> Top 10 Frequently Asked Questions</h2></td> 
           </tr>
           <tr>
             <th>Top 10 Frequently Asked Questions</th>
             <th>Answers</th>
             <th>Hits</th>
            </tr>
            <xsl:for-each select="ROW">
            <tr bgcolor="#F0F0F0">
              <td>
 		 <xsl:value-of select="@num"/>:
                  <xsl:value-of disable-output-escaping="yes" select="RESULT/TITLE/ns:TITLE"/>
              </td>
              <td width="40">
	        <a href="showAnswer.xsql?id={RESULT/ID}"
	          onClick="NewWindow('showAnswer.xsql?id={RESULT/ID}','name','600','400','yes');return false;">Answer</a>
              </td>
             <td align="right" width="10">
 		            <xsl:value-of select="RESULT/HITS"/>
               </td>
             </tr>
            </xsl:for-each>
           </table>
         </xsl:for-each>   
	 </xsl:when>
         <xsl:otherwise>
         <table>
          <tr>
           <td>No FAQs found.</td></tr>
         </table>
         </xsl:otherwise>
         </xsl:choose>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
