<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>

<xsl:template match="/">
   <table width="100%" border="0">
     <tr> 
       <td width="10" align="right" valign="top">
            <img src="images/d_arrow.gif" width="10" height="10"/>
       </td>
       <td align="left"> 
           <b>XDK Releases Notes:</b>
        </td>
       <td> <xsl:apply-templates select="page/paging"/>
       </td>
      </tr>
     <xsl:choose>
      <xsl:when test="page/ROWSET/ROW">
      <xsl:for-each select="page/ROWSET/ROW">
        <tr> 
          <td width="10" align="right" valign="top">
            <img src="images/r_arrow.gif" width="10" height="10"/>
          </td>
          <td colspan="2" width="600" align="left" class="fbox">
                <xsl:value-of select="VERSION"/>          </td>
        </tr>
        <tr> 
          <td width="10"><xsl:text> </xsl:text></td>
          <td colspan="2" width="600" class="footnt">
           <pre>  <xsl:value-of select="NOTES"/></pre> 
          </td>
        </tr>
     </xsl:for-each>
       </xsl:when>
      <xsl:otherwise>
       <tr>
          <td width="10"><xsl:text> </xsl:text></td>
       <td colspan="2"> No Release Notes available for this release.
       </td>
       </tr>
      </xsl:otherwise>
     </xsl:choose>
    </table>
 </xsl:template>
</xsl:stylesheet>




