/**
 *  WebCounter.java
 *
 *  This is class is a counter keep vector for each FAQ and
 *  counts of hits. When the total hist reach 10 it will
 *  get database connection and save the hits to database.
 *
 *  Please Modify the JDBC connection String for your database
 *
 *  05/10/01 - Create
 */
package oracle.xml.pm.faq;

import java.util.Vector;
import java.lang.*;
import java.sql.*; 

public class WebCounter {

  private Vector pageName = new Vector();
  private Vector pageNumber = new Vector();
  private int m_size=0;
  private int m_id=0;
  private int m_hit=0;
  private String m_query=null;
  
  public WebCounter() {
  }

  public void setValue(String pName, int pValue)
  {
    int index = pageName.indexOf(pName);

    //not find the page name. It is a new page
    if ( index == -1)
    {
      pageName.add(pName);
      pageNumber.add(new Integer(pValue));
    }
    //An old page
    else
      pageNumber.setElementAt(new Integer(pValue),index);
      m_size++;

    //if (m_size >= 10)
    //{
      try
      {
        //connect database
        DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
     
        //Connect to the local database
        Connection conn =
          DriverManager.getConnection (
                                  "jdbc:oracle:thin:@localhost:1521:ORCL9i",
                                  "xmldemo", "xmldemo");
                                   
        Statement stmt = conn.createStatement();
        conn.setAutoCommit(true);
 
        for(int i=0; i< getNumber(); i++)
        {
          m_id = Integer.parseInt(getPageName(i));
          m_hit = getValue(i);

          /*
          ** Insert count content to database
          */
          m_query="update faq_tbl set hits="+m_hit+" where id ="+m_id;
          ResultSet resultSet=stmt.executeQuery(m_query);
        }
        m_size = 0;
        pageName.clear();
        pageNumber.clear();
   
        stmt.close();
        conn.close();
      }
      catch (SQLException ex)
      {
       m_size = 0;
        return;
      }
   //}
  }

  public int getValue(String pName)
  {
    int index = pageName.indexOf(pName);

    if (index == -1) return 0;
    return getValue(index);

  }

  public int getValue(int index)
  {
    if (index == -1) return -1;
    else
      return ((Integer) pageNumber.get(index)).intValue();
  }


  public int getNumber()
  {
    return pageNumber.size();
  }

  public String getPageName(int index)
  {
    if (index < getNumber()) return (String) pageName.get(index);
    else return null;
  }

}

 
