-------------------------------------------------------------------------------
-- FileName: createUsers.sql
-- Description: 
--   Create database user managing the Portal Site
-- Modified (MM/DD/YYYY)
--   jiwang  04/27/2003 - Create
-------------------------------------------------------------------------------c
connect sys/oracle as sysdba

create user xdkus identified by xdkus
 default tablespace users
 temporary tablespace temp;


grant connect, resource to xdkus;

BEGIN
   dbms_java.grant_permission(
                              grantee =>'XDKUS',
                              permission_type => 'java.util.PropertyPermission',
                              permission_name => '*',
                              permission_action => 'read,write'
                             );
   dbms_java.grant_permission(
                              grantee =>'XDKUS',
                              permission_type => 'java.net.SocketPermission',
                              permission_name => '*',
                              permission_action => 'connect, resolve'
                             );
END;
/
-- Quit

DROP DIRECTORY xmldir;
CREATE DIRECTORY XMLDIR AS '&xmldir';

GRANT READ ON DIRECTORY xmldir TO xdkus;
GRANT ctxapp TO xdkus;

-------------------------------------------------------------------------------
--  XDK User for read only
-------------------------------------------------------------------------------
create user xdkuser identified by xdkuser
 default tablespace users
 temporary tablespace temp;

grant connect to xdkuser;
grant read on xdkus.faq to xdkuser;

