-------------------------------------------------------------------------------
-- FileName: createFAQProcedure.sql
-- Description: 
--   Create PL/SQL procedure for FAQs
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE FUNCTION fileToClob(fname VARCHAR2) RETURN CLOB IS
 fclob CLOB;
 theBFile BFILE;
 num NUMBER :=0;
 src_offset NUMBER :=1;
 dest_offset NUMBER:=1;
 lang_context NUMBER :=1;
BEGIN
  dbms_lob.createtemporary(fclob,FALSE,DBMS_LOB.SESSION);

  theBFile := BFileName('XMLDIR',fname);

  dbms_lob.fileOpen(theBFile);

  dbms_lob.loadClobFromFile(dest_lob=>fclob,
                            src_bfile=>theBFile,
                            amount=>dbms_lob.getLength(theBFile),
                            dest_offset=>dest_offset,
                            src_offset=>src_offset,
                            bfile_csid=>0,
                            lang_context=>lang_context,
                            warning=>num);

  dbms_lob.fileClose(theBFile);
  return fclob;
end;
/
show errors;
