-------------------------------------------------------------------------------
-- FileName: loadGlossaryData.sql
-- Description: 
--   Load Glossary Data into database table
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
DECLARE
  insCtx DBMS_XMLSave.ctxType;
  rows NUMBER;
BEGIN
  insCtx := DBMS_XMLSave.newContext('faq_glossary');
  rows := DBMS_XMLSave.insertXML(insCtx, FileToClob('glossary.xml'));
  DBMS_XMLSave.closeContext(insCtx);
  DBMS_OUTPUT.put_line(rows||' of data in faq_glossary have been updated.');
END;
/
show errors;
