-------------------------------------------------------------------------------
-- FileName: createPOTables.sql
-- Description: 
--   Create PO Tables and View for XML messages
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
CONNECT &1/&2@&3

DROP TABLE po_tbl;
DROP TABLE po_rejected_tbl;
DROP TABLE po_backup_tbl;

CREATE TABLE po_tbl(
 msgid RAW(16),
 consumer VARCHAR2(100),
 sender VARCHAR2(200),
 podoc XMLTYPE
);

CREATE TABLE po_rejected_tbl(
 msgid RAW(16),
 consumer VARCHAR2(100),
 sender VARCHAR2(200),
 reason VARCHAR2(500),
 podoc XMLTYPE
);

CREATE TABLE po_backup_tbl(
 msgid RAW(16),
 consumer VARCHAR2(100),
 sender VARCHAR2(200),
 podoc XMLTYPE
);

CREATE OR REPLACE VIEW message_view(msgid, podoc,status) AS
   (SELECT msgid, podoc,'accepted'
      FROM po_backup_tbl)
   UNION ALL
   (SELECT msgid, podoc, 'rejected'
      FROM po_rejected_tbl);

-------------------------------------------------------------------------------
-- Relational Storage
-------------------------------------------------------------------------------
CREATE TABLE PurchaseOrder(
  PO_ID NUMBER primary key,
  shipping_addr Address_typ,
  billing_addr Address_typ,
);

CREATE TABLE POItems(
  PO_ID NUMBER,
  ITEM_ID NUMBER,


-- Quit
