<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="table_with_border" match="ROWSET">
  <table width="100%" border="1">
    <tr>
     <xsl:for-each select="ROW[1]/*">
      <th><xsl:value-of select="name()"/></th>
     </xsl:for-each>
    </tr>
    <xsl:for-each select="ROW">
     <tr> 
      <xsl:for-each select="*">
       <td>
        <xsl:choose>
          <xsl:when test="@href">
            <a href="{@href}"><xsl:value-of disable-output-escaping="yes" select="."/></a>
          </xsl:when>
          <xsl:otherwise><xsl:value-of disable-output-escaping="yes" select="."/>
          </xsl:otherwise>
        </xsl:choose>
      </td>
      </xsl:for-each>
      </tr>
     </xsl:for-each>
   </table>  
</xsl:template>
</xsl:stylesheet>