-------------------------------------------------------------------------------
-- FileName: addSubscriber.sql
-- Description: 
--   Add subscriber to the xmlmsg_queue
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
SET echo ON
DECLARE
    subscriber sys.aq$_agent;
BEGIN
    subscriber := sys.aq$_agent('order_process', NULL, NULL);
    dbms_aqadm.add_subscriber(
        queue_name => 'xmlmsg_queue',
        subscriber => subscriber);
    dbms_output.put_line ('Added subscriber order_process to xmlmsg_queue.');
END;
/
