-------------------------------------------------------------------------------
-- FileName: createPOUserTable.sql
-- Description: 
--   PO users can be recognized by default
-- Modified (MM/DD/YYYY)
--   jiwang  04/22/2003 - Create
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
--  Create User Table
-------------------------------------------------------------------------------
CREATE TABLE POUSER(
  user_id VARCHAR(10) PRIMARY KEY,
  name VARCHAR2(50),
  street VARCHAR2(100),
  city VARCHAR2(200),
  state VARCHAR2(20),
  zip VARCHAR2(20),
  country VARCHAR2(30)
);

-------------------------------------------------------------------------------
--  Insert sample data
-------------------------------------------------------------------------------
INSERT INTO POUSER values('bob', 'Bob Smith','400 Oracle parkway',
         'Redwood shores', 'CA', '94065','US');
INSERT INTO POUSER values('scott', 'Scott Tigher','400 Oracle parkway',
         'Redwood shores', 'CA', '94065','US');

