-------------------------------------------------------------------------------
-- FileName: createUsers.sql
-- Description: 
--   Create the PO Message queue
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-- Note:
--   - Connnect using "connect SYS/&passwd@<SERVICE> AS sysdba"
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- createUsers.sql
-- Description:
--   Create the PO Message queue
-- Note:
--   - Connnect using "connect SYS/&passwd@&1 AS sysdba"
-------------------------------------------------------------------------------
SET echo ON
-------------------------------------------------------------------------------
-- Create PO Administrator
-------------------------------------------------------------------------------
CREATE USER poadmin IDENTIFIED BY poadmin
   DEFAULT tablespace USERS;
GRANT CONNECT, RESOURCE TO poadmin;
-- Grant AQ Privileges
GRANT aq_administrator_role TO poadmin;
GRANT execute ON dbms_aqadm TO poadmin;
/

-------------------------------------------------------------------------------
-- Create PO user
-------------------------------------------------------------------------------
CREATE USER pouser IDENTIFIED BY pouser
   DEFAULT tablespace USERS;
GRANT CONNECT, RESOURCE TO pouser;
-- Grant AQ privileges
GRANT execute ON dbms_aq TO pouser;
GRANT execute ON dbms_aqin TO pouser;
EXEC dbms_aqadm.grant_system_privilege('ENQUEUE_ANY', 'POUSER');
EXEC dbms_aqadm.grant_system_privilege('DEQUEUE_ANY', 'POUSER');
EXEC dbms_aqadm.grant_system_privilege('MANAGE_ANY',  'POUSER');

-------------------------------------------------------------------------------
--  Grant privilege for Proxy Users
-------------------------------------------------------------------------------
ALTER USER pouser GRANT CONNECT through pouser;
-------------------------------------------------------------------------------
--  Grant the Oracle Text Priviliges
-------------------------------------------------------------------------------
GRANT ctxapp to pouser;
grant execute on ctx_ddl to pouser;


-- Quit
