public class SampleMain {
public static void main (String args[]) {
// validate arguments
if (args.length != 1) {
System.out.println("Usage: java SampleMain "+
"-root <rootName> <fileName>");
return ;
}
try // to open the External DTD File {
// instantiate the parser
XMLParser parser = new XMLParser();
String doctype_name = null;
parser.parseDTD(fileToURL(args[2]), args[1]);
DTD dtd = (DTD)parser.getDoctype();
doctype_name = args[1];
// generate the Java files...

// set generate comments to true
generator.setGenerateComments(true);
// set output directory
generator.setOutputDirectory(".");
// set validating mode to true
generator.setValidationMode(true);
// generate Java src
generator.generate(dtd, doctype_name);
}
catch (Exception e) {
e.printStackTrace();
}
}
}