/*#ifndef OCIP_ORACLE
#include <ocip.h>
#endif
*/
#ifndef STDIO
#include <stdio.h>
#endif

#ifndef STDLIB
#include <stdlib.h>
#endif

#ifndef OCIAP_ORACLE
#include <ociap.h>
#endif

#ifndef STRING
#include <string.h>
#endif

/*
#ifndef OCI_ORACLE
#include <oci.h>
#endif
*/
#ifndef XML_ORACLE
#include <xml.h>
#endif

/*----------------- End of including files -----------------*/

/*--------------------- Public Constants and Variables ----------------------*/

/* constants */
#define MAXBUFLEN     2000
#define SCHEMA        "SYS"
#define TYPE          "XMLTYPE"

/*----------------- End of Constants and Variables -----------------*/

/*--------------------- Functions Declaration --------------------*/

int  main(/*_ int argc, char *argv[] _*/);
static void checkerr(/*_ OCIError *errhp, sword status _*/);
static void cleanup(/*_ OCIEnv *envhp _*/);
static sb4 connect_server(/*_ OCIServer *srvhp, OCIError *errhp, OCISvcCtx *svchp,
             OCISession *authp, text *user, text *password, text *conn _*/);
static void disconnect_server(/*_ OCIEnv *envhp, OCISvcCtx *svchp, OCIError *errhp,
             OCISession *authp, OCIServer *srvhp, OCIStmt *stmthp,
             boolean tab_exists _*/);
static sb4 init_env_handle(/*_ OCIEnv **envhp, OCISvcCtx **svchp, OCIError **errhp,
             OCIServer **svrhp, OCISession **authp, OCIStmt **stmthp _*/);
static sb4 select_xml(/*_ OCIEnv *envhp, OCISvcCtx *svchp, OCIError *errhp,
             OCIStmt *stmthp, ub4 row, text *sel, text*xpath, text *value_*/);
static sb4 do_xml(/*_ OCIEnv *envhp, OCISvcCtx *svchp, OCIError *errhp,
             OCIXMLType *xml, text *xsl_file, text *xpathexpr, text *value _*/);
int update_xml(/* struct xmlctx *xctx, xmldocnode *doc, text *xpathexpr, text *value;_*/);
/*--------------------- End of Functions Declaration --------------------*/

