/* Copyright (c) 2004, Mark Scardina, Ben Chang, Jinyu Wang  All rights reserved.  */
 
/*
   NAME
     cppextractMain.cpp - Sample XPath usage
 
   DESCRIPTION
  XPath Extraction Utility using C++ interfaces of the XPath processors
*/
#pragma warning( disable : 4290 )
#include <iostream.h>
#include <string.h>

#ifndef XMLCTX_CPP_ORACLE
#include <xmlctx.hpp>
#endif

#include "cppextract.hpp"

int main( int argc, char* argv[])
{
    if (argc < 3)
    {
	cout << "Usage is cppextract <xmlfile> <xpath>\n";
	return 1;
    }
    if (processXPath< CXmlCtx, xmlnode>( argv[1], argv[2]))
        return 1;
}
