-------------------------------------------------------------------------------
-- FileName: parseXML_AuthURL.sql
-- Description: 
--   Parsing XML by reading from HTTPUriType which requires user authentication
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/8/2004 - Create
-------------------------------------------------------------------------------
SET LONG 100000
SET AUTOPRINT ON
VAR out CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
BEGIN
  v_xmltype := sys.httpuritype.createuri(
    'http://demo:demo@localhost:8080/public/contact.xml').getXML();
  v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  :out:=v_out;
  DBMS_LOB.freetemporary(v_out);
END;
/
