-------------------------------------------------------------------------------
-- FileName: parseXMLBFile.sql
-- Description: 
--   Parsing XML by reading BFILEs
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/10/2004 - Create
-------------------------------------------------------------------------------
SET AUTOPRINT ON 
VAR out CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
BEGIN
  v_xmltype := XMLType(BFiletoClob('contact.xml'));
  v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  :out:=v_out;
  DBMS_LOB.freetemporary(v_out);
END;
/
show errors;

-- Using BFILE with errors
SET AUTOPRINT ON 
VAR out CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
BEGIN
  v_xmltype := XMLType(BFiletoClob('author.xml'));
  v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  :out:=v_out;
  DBMS_LOB.freetemporary(v_out);
END;
/
show errors;

