-------------------------------------------------------------------------------
-- FileName: parseXML_Proxy.sql
-- Description: 
--   Parsing XML by reading from HTTPUriType and requiring proxy settings
-- Modified (MM/DD/YYYY)
--   jiwang  04/22/2004 - Clean up
--   jiwang  03/08/2004 - Create
-------------------------------------------------------------------------------
SET LONG 100000
SET AUTOPRINT ON
VAR OUT CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
BEGIN
  v_xmltype := SYS.httpuritype.createuri('http://xml.coverpages.org/covernews.xml').getXML();
  v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  printCLOBOut(v_out);
  DBMS_LOB.freetemporary(v_out);
end;
/

BEGIN
  UTL_HTTP.set_proxy('www-proxy.us.oracle.com:80', 'oracle.com');
END;
/

SET LONG 100000
SET AUTOPRINT ON
VAR OUT CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
BEGIN
  v_xmltype := SYS.httpuritype.createuri('http://xml.coverpages.org/covernews.xml').getXML();
  v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  printCLOBOut(v_out);
  DBMS_LOB.freetemporary(v_out);
end;
/


 