/*@lineinfo:filename=BookSaleServiceBase*//*@lineinfo:user-code*//*@lineinfo:1^1*/package demo;

import java.sql.SQLException;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;
import java.sql.Connection;
// Ensure that the java.io.* package etc. is imported.
import java.io.*;

public class BookSaleServiceBase
{

  /* connection management */
  protected DefaultContext __tx = null;
  protected Connection __onn = null;
  public void _setConnectionContext(DefaultContext ctx) throws SQLException
  { release(); __tx = ctx; 
    ctx.setStmtCacheSize(0);
       ctx.setDefaultStmtCacheSize(0);
       if (ctx.getConnection() instanceof oracle.jdbc.OracleConnection)
       {
          try 
          {
             java.lang.reflect.Method m = ctx.getConnection().getClass().getMethod("setExplicitCachingEnabled", new Class[]{Boolean.TYPE});
             m.invoke(ctx.getConnection(), new Object[]{Boolean.FALSE});
          }
          catch(Exception e) { /* do nothing for pre-9.2 JDBC drivers*/ }
       }}
  public DefaultContext _getConnectionContext() throws SQLException
  { if (__tx==null)
    { __tx = (__onn==null) ? DefaultContext.getDefaultContext() : new DefaultContext(__onn); }
    return __tx;
  };
  public Connection _getConnection() throws SQLException
  { return (__onn==null) ? ((__tx==null) ? null : __tx.getConnection()) : __onn; }
  public void release() throws SQLException
  { if (__tx!=null && __onn!=null) __tx.close(ConnectionContext.KEEP_CONNECTION);
    __onn = null; __tx = null;
  }


  /* constructors */
  public BookSaleServiceBase() throws SQLException
  { __tx = DefaultContext.getDefaultContext();
 }
  public BookSaleServiceBase(DefaultContext c) throws SQLException
  { __tx = c; }
  public BookSaleServiceBase(Connection c) throws SQLException
  {__onn = c; __tx = new DefaultContext(c);  }

  public oracle.sql.SimpleXMLType _query (
    java.math.BigDecimal pPartnerId)
  throws SQLException
  {
    oracle.sql.SimpleXMLType __jPt_result;
    /*@lineinfo:generated-code*//*@lineinfo:56^5*/

//  ************************************************************
//  #sql [_getConnectionContext()] __jPt_result = { VALUES(BOOKSALE_PKG.QUERY(
//        :pPartnerId))  };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = _getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN :1 := BOOKSALE_PKG.QUERY(\n       :2 )  \n; END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0demo.BookSaleServiceBase",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,2007,"SYS.XMLTYPE");
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,pPartnerId);
 // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = (oracle.sql.SimpleXMLType)__sJT_st.getORAData(1,oracle.sql.SimpleXMLType.getORADataFactory());
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:57^21*/
    return __jPt_result;
  }

  public String _checkout (
    java.math.BigDecimal pPartnerId,
    String pIsbn,
    java.math.BigDecimal pBookNum)
  throws SQLException
  {
    String __jPt_result;
    /*@lineinfo:generated-code*//*@lineinfo:68^5*/

//  ************************************************************
//  #sql [_getConnectionContext()] __jPt_result = { VALUES(BOOKSALE_PKG.CHECKOUT(
//        :pPartnerId,
//        :pIsbn,
//        :pBookNum))  };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = _getConnectionContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN :1 := BOOKSALE_PKG.CHECKOUT(\n       :2 ,\n       :3 ,\n       :4 )  \n; END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"1demo.BookSaleServiceBase",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,oracle.jdbc.OracleTypes.VARCHAR);
   }
   // set IN parameters
   __sJT_st.setBigDecimal(2,pPartnerId);
   __sJT_st.setString(3,pIsbn);
   __sJT_st.setBigDecimal(4,pBookNum);
 // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   __jPt_result = __sJT_st.getString(1);
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:71^19*/
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/