set autoprint on 
var out clob
declare
 res XMLType;
begin
 res := query_request(1);
 :out := res.getClobVal();
end;

select query_request(1).extract('ns1:queryResponse/return/ROWSET/ROW', 
 'xmlns:ns1="BookSaleService"')  from dual;

create or replace view my_book as 
 select extract(value(a),'/ROW/ISBN/text()').getNumberVal() as ISBN,
        extract(value(a),'/ROW/AUTHOR/text()').getStringVal() as AUTHOR,
        extract(value(a),'/ROW/PRICE/text()').getNumberVal() as PRICE,
        extract(value(a),'/ROW/TITLE/text()').getStringVal() as TITLE,
        extract(value(a),'/ROW/SALE_PRICE/text()').getNumberVal() as SALE_PRICE
 from TABLE(XMLSEQUENCE(query_request(1).extract('ns1:queryResponse/return/ROWSET/ROW', 
 'xmlns:ns1="BookSaleService"'))) a;
