package oracle.xml.sample.parser;

import java.io.OutputStream;
import java.io.PrintWriter;
import oracle.xml.parser.v2.XMLSAXSerializer;
import org.xml.sax.SAXException;

public class MyDocumentHandler extends XMLSAXSerializer {
  public MyDocumentHandler(PrintWriter out)
  {
    super(out);
  }
  public void characters(char ch[], int start, int length) 
  throws SAXException
  {
    String str = new String(ch, start, length);

    //replace
    str = str.replace('\t',' ');
    str = str.replace('\n',' ');
    str = str.replace('\r',' ');

    // collapse
    str = str.trim();
    char[] ca = str.toCharArray();
    int i, j;
    boolean seenWS = false;
    for(i=0,j=0; j< str.length(); j++) {
      if(ca[j] != ' ' || !seenWS) {
        ca[i++] = ca[j];
        if(ca[j] == ' ')
          seenWS = true;
        else
          seenWS = false;
      }
    }
    super.characters(ca,0,i);
  }  
}
