package oracle.xml.sample.parser;

import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.io.Writer;
import oracle.sql.CLOB;
import oracle.xdb.XMLType;
import oracle.xml.parser.v2.SAXParser;
import oracle.xml.parser.v2.XMLParseException;

public class XMLNormalize {
  public static String normalized(XMLType xml, CLOB[] result) 
  {
    StringWriter sw = new StringWriter();
    SAXParser saxParser = new SAXParser();
    try {
    Writer out =result[0].getCharacterOutputStream();
    MyDocumentHandler docHandler = new MyDocumentHandler(new PrintWriter(out));
    saxParser.setContentHandler(docHandler);
    saxParser.parse(xml.getInputStream());
    out.close();    
    } catch(XMLParseException ex) {
      sw.write("XSD Error:"+ex.getMessage());
    }catch(Exception ex) {
      sw.write("Error:"+ex.getMessage());
    }
    return sw.toString();    
  }
}
  
