package oracle.xml.sample.parser;

import java.io.File;
import java.io.PrintWriter;
import java.net.URL;
import oracle.xml.parser.v2.SAXParser;
import oracle.xml.parser.v2.XMLDocument;

public class testXMLNormalize
{
   public static void main(String [] args) throws Exception
   {
      SAXParser saxParser = new SAXParser();
      MyDocumentHandler docBuilder = new MyDocumentHandler(new PrintWriter(System.out));

      saxParser.setContentHandler(docBuilder);
      saxParser.parse(fileNameToURL(args[0]));
   }
   
   public static URL fileNameToURL(String fileName) throws Exception
   {
      File file = new File(fileName);
      String path = file.getAbsolutePath();
      char fSep = file.separatorChar;
      path = path.replace(fSep, '/');
      if (path.length() > 0 && path.charAt(0) != '/')
         path = '/' + path;
      return new URL("file", null, path);
   }
}

