-------------------------------------------------------------------------------
-- FileName: createDBUser.sql
-- Description: 
--   Create "demo" user to demostrate basic XML DB functionality
-- Modified (MM/DD/YYYY)
--   jiwang  03/24/2003 - Create
-------------------------------------------------------------------------------
CREATE USER demo IDENTIFIED BY demo
 DEFAULT TABLESPACE USERS
 QUOTA 50M ON USERS
 TEMPORARY TABLESPACE TEMP;
-- Grant Privileges
GRANT CREATE SESSION TO demo;
GRANT CREATE TABLE TO demo;
GRANT CREATE PROCEDURE to demo;
GRANT CREATE TYPE TO demo;
GRANT CTXAPP TO demo;




