-------------------------------------------------------------------------------
-- FileName: createTransProcedure.sql
-- Description: 
--   Create Sample PL/SQL Procedure using XMLTypes
-- Modified (MM/DD/YYYY)
--   jiwang  03/25/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE FUNCTION mytransform (p_desc IN XMLTYPE, 
      p_id IN VARCHAR2, p_name IN VARCHAR2) RETURN XMLTYPE AS
 v_result XMLType;
BEGIN
 SELECT updateXML(p_desc,'//KEYWORD[text()='''||p_id||''']/text()',p_name) 
  INTO v_result 
 FROM dual;
 RETURN v_result;
END mytransform;
/
show errors;