-------------------------------------------------------------------------------
-- FileName: addConstraints.sql
-- Description: 
--   Add the SQL Constraints on XMLTypes
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  06/11/2003 - Create
-------------------------------------------------------------------------------
DEFINE customer_table=&Customerxxx_TAB
ALTER TABLE "&customer_table" add unique(XMLDATA.email);

-------------------------------------------------------------------------------
-- Test
-------------------------------------------------------------------------------
INSERT INTO "&customer_table" VALUES(XMLType('<Customer>
  <NAME>Steve Joes</NAME>
  <EMAIL>Steve.Joes@example.com</EMAIL>
  <ADDRESS>Someroad, Somecity, Redwood Shores, CA 94065, U.S.A</ADDRESS>
  <PHONE>6505723456</PHONE>
  <DESCRIPTION>Very Important US Customer</DESCRIPTION>
</Customer>').createSchemaBasedXML(
                  'http://localhost:8080/public/contact_simple.xsd'));

-- This time you will get error
INSERT INTO "&customer_table" VALUES(XMLType('<Customer>
  <NAME>Steve Joes</NAME>
  <EMAIL>Steve.Joes@example.com</EMAIL>
  <ADDRESS>Someroad, Somecity, Redwood Shores, CA 94065, U.S.A</ADDRESS>
  <PHONE>6505723456</PHONE>
  <DESCRIPTION>Very Important US Customer</DESCRIPTION>
</Customer>').createSchemaBasedXML(
                  'http://localhost:8080/public/contact_simple.xsd'));

-- End
