-------------------------------------------------------------------------------
-- FileName: testNamespace.sql
-- Description: 
--  Test use of namespaces
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  12/02/2003 - Create
-------------------------------------------------------------------------------
CREATE TABLE temp (doc XMLType);
DECLARE
  v_temp XMLType; 
BEGIN
  v_temp:= XMLType.createXML('<foo xmlns="http://www.example.com" 
     xmlns:xsd="http://www.w3c.org/2001/XMLSchema"> 
    <foo_type xsd:type="date">03-11-1998</foo_type>
  </foo>'); 
  INSERT INTO temp VALUES(v_temp); 
END;
/
SELECT a.doc.extract('/a:foo/a:foo_type', 'xmlns:a="http://www.example.com"')
FROM temp a;

-- End



